<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
// VARIABLES
$themename = get_theme_data(STYLESHEETPATH . '/style.css');
$themename = $themename['DiziPremium'];
$shortname = "diziPremium";

// Populate OptionsFramework option in array for use in theme
global $of_options;
$of_options = get_option('of_options');

$GLOBALS['template_path'] = OF_DIRECTORY;

//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name; }
$categories_tmp = array_unshift($of_categories, "Kategori seçiniz:");    
       
//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Sayfa seçiniz:");       

// Image Alignment radio box
$options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$options_image_link_to = array("image" => "The Image","post" => "The Post"); 

// Number of featured posts to display
$featured_options_select = array("2","4","6","8","10","12"); 

//Stylesheets Reader
$alt_stylesheet_path = OF_FILEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options
$uploads_arr 	  = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads	  = get_option('of_uploads');
$thumbsekil		  = array("Solda","Şerit");

// Set the Options Array
$options = array();

$options[] = array( "name" => "Genel Ayarlar",
                    "type" => "heading");
					
$options[] = array( "name" => "Logo <small style='float:right;font-size:12px;'>(129x35)</small>",
					"desc" => "",
					"id" => $shortname."_logo",
					"type" => "upload");	

$options[] = array( "name" => "Mobil Logo <small style='float:right;font-size:12px;'>(88x14)</small>",
					"desc" => "",
					"id" => $shortname."_mobilogo",
					"type" => "upload");							
					
$options[] = array( "name" => "Splash Logo <small style='float:right;font-size:12px;'>(144x21)</small>",
					"desc" => "",
					"id" => $shortname."_splogo",
					"type" => "upload");						
					
$options[] = array( "name" => "Footer Yazısı",
					"desc" => "",
					"id" => $shortname."_footer",
					"type" => "textarea");
					
$options[] = array( "name" => "Google Analytics",
					"desc" => "",
					"id" => $shortname."_google_analytics",
					"type" => "textarea");
						
$options[] = array( "name" => "Görünüm Ayarları",
                    "type" => "heading");
					
$options[] = array( "name" => "Slider",
					"desc" => "Slider gösterilsin mi ?",
					"id" => $shortname."_slider",
					"type" => "checkbox");						

$options[] = array( "name" => "Haberler",
					"desc" => "Haberler gösterilsin mi ?",
					"id" => $shortname."_haberler",
					"type" => "checkbox");	
					
$options[] = array( "name" => "Oyuncular",
					"desc" => "Oyuncular gösterilsin mi ?",
					"id" => $shortname."_oyuncular",
					"type" => "checkbox");	

$options[] = array( "name" => "S.S.S",
					"desc" => "S.S.S gösterilsin mi ?",
					"id" => $shortname."_sss",
					"type" => "checkbox");		
					
$options[] = array( "name" => "Reklam",
					"desc" => "Video önü reklam gösterilsin mi ?",
					"id" => $shortname."_vdonugor",
					"type" => "checkbox");
					
$options[] = array( "name" => "Replikler",
					"desc" => "Replikler gösterilsin mi ?",
					"id" => $shortname."_replikgor",
					"type" => "checkbox");
					
$options[] = array( "name" => "Reklam Ayarları",
                    "type" => "heading");	

$options[] = array( "name" => "Video Önü Reklam Kodunuz",
					"desc" => "",
					"id" => $shortname."_vdonu",
					"type" => "textarea");
					
$options[] = array( "name" => "Single Üst Reklam Kodunuz<small style='float:right;font-size:12px;'>(300x250)</small>",
					"desc" => "",
					"id" => $shortname."_sngust",
					"type" => "textarea");
					
$options[] = array( "name" => "Single Alt Reklam Kodunuz<small style='float:right;font-size:12px;'>(300x250)</small>",
					"desc" => "",
					"id" => $shortname."_sngalt",
					"type" => "textarea");					
					
$options[] = array( "name" => "SEO Ayarları",
                    "type" => "heading");

$options[] = array( "name" => "Meta Title",
					"desc" => "",
					"id" => $shortname."_metatitle",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => "Meta Keywords",
					"desc" => "",
					"id" => $shortname."_metakeyw",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => "Meta Description",
					"desc" => "",
					"id" => $shortname."_metadesc",
					"type" => "textarea");
					
$options[] = array( "name" => "Meta Author",
					"desc" => "",
					"id" => $shortname."_metauthor",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => "Meta Owner",
					"desc" => "",
					"id" => $shortname."_metaowner",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => "Meta Copyright",
					"desc" => "",
					"id" => $shortname."_metacopyright",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => "Özel Kod Alanları",
                    "type" => "heading");
					
$options[] = array( "name" => "Header Kodlarınız",
					"desc" => "",
					"id" => $shortname."_hdcss",
					"type" => "textarea");
					
$options[] = array( "name" => "Footer Kodlarınız",
					"desc" => "",
					"id" => $shortname."_ftjs",
					"type" => "textarea");

$options[] = array( "name" => "Replikler",
                    "type" => "heading");
					
$replikler = get_option("diziPremium_replikler");
$satir 	   = explode(PHP_EOL,$replikler);
if($replikler){
	$replikSayi = "Toplam ".count($satir)." Replik Bulunuyor";
}else{ 
	$replikSayi = "Hiç Replik Bulunmuyor";
}
$options[] = array( "name" => "Replikler<small style='float:right;font-size:12px;'>".$replikSayi."</small>",
					"desc" => "",
					"id" => $shortname."_replikler",
					"type" => "replik");
															

update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
?>