(function($){

// Notification
	function refresh_close(){
		$('.notifClose').click(function(){$(this).parent().fadeOut(200); });
	}
	refresh_close();
	function notification(message,messageTwo){
		$("#notifications-bottom-right-tab-right-text span").first().text(message);
		$("#notifications-bottom-right-tab-right-text span").last().text(messageTwo);
		$("#notifications-bottom-right-tab").show().addClass('animated rubberBand');
		setTimeout(function(){ 
			$("#notifications-bottom-right-tab").addClass("bounceOut").fadeOut(1000).delay(1000);
				setTimeout(function(){ $("#notifications-bottom-right-tab").removeClass("bounceOut"); }, 1000);
		}, 7000);
		refresh_close();
	}

// Premium Contact Form
	$(".iletisimForm form").on("submit",function(e){
		e.preventDefault();
		var subject = $(this).find('input[name="konu"]').val();
		var ePosta  = $(this).find('input[name="eposta"]').val();
		var iMesaj  = $(this).find('textarea[name="iMesaj"]').val();
		var aPosta  = $(this).find('input[name="adminEposta"]').val();
		$.ajax({
			type: "POST",
			url: "/wp-admin/admin-ajax.php",
			dataType: "text",
			data: ({ action: 'premiumContact', subject: subject, ePosta: ePosta, iMesaj: iMesaj, aPosta: aPosta }),
			success: function(preCevap){
				if(preCevap == "hata"){
					var messageOne	  = "Malesef ! İletişim kurulamadı.";	
					var messageTwo    = "Bilgileriniz geçersiz görünüyor...";	
					notification(messageOne,messageTwo);
				}else if(preCevap == "hata2"){
					var messageOne	  = "Malesef ! İletişim kurulamadı.";	
					var messageTwo    = "E-Posta adresi geçersiz görünüyor...";	
					notification(messageOne,messageTwo);
				}else if(preCevap == "hata3"){
					var messageOne	  = "Malesef ! İletişim kurulamadı.";	
					var messageTwo    = "Lütfen 10 dakika sonra tekrar deneyin...";	
					notification(messageOne,messageTwo);
				}else{
					var messageOne	  = "Mesajınız iletildi.";	
					var messageTwo    = "Yetkililerimiz size dönüş yapacaktır...";	
					notification(messageOne,messageTwo);
				}
			}
		});
	});
	
/* Üye Profil Dropdown */
	$(".updOpen").click(function(){
		$(".uyeProfilDrop").fadeToggle();
	});
	$('html').on("click", function(event){
		var updTarget = $(event.target);
		if (updTarget.is(".uyeProfilDrop") || updTarget.is(".updOpen") || updTarget.parents(".updOpen").size() > 0){
			return;
		}else{
			$(".uyeProfilDrop").fadeOut();
		}
	});

// Avatar Yükle
	$(".avatarYukle").click(function(){
		$("form.avatarForm input").trigger("click");
	});

	$("form.avatarForm").change(function(){
		$("form.avatarForm").bind("submit",function(){
			
			var file = document.getElementById("file_avatar");
			var data = new FormData();
			data.append('file_avatar', file.files[0]);
			data.append('action','avatarFile');

			var ajax = new XMLHttpRequest();
			ajax.open("post","/wp-admin/admin-ajax.php");
			ajax.send(data);
			ajax.onreadystatechange = function() {
				if (ajax.readyState == 4 && ajax.status == 200){
					if(ajax.responseText == "hata"){
						var messageOne	  = "Malesef ! Avatar yüklenemedi.";	
						var messageTwo    = "Lütfen daha sonra tekrar deneyin...";	
						notification(messageOne,messageTwo);
					}else if(ajax.responseText == "hata2"){
						var messageOne	  = "Malesef ! Avatar yüklenemedi.";	
						var messageTwo    = "Dosya 3MB'dan büyük olamaz...";	
						notification(messageOne,messageTwo);
					}else if(ajax.responseText == 0){
						var messageOne	  = "Malesef ! Avatar yüklenemedi.";	
						var messageTwo    = "Lütfen daha sonra tekrar deneyin...";	
						notification(messageOne,messageTwo);
					}else{
						$(".hAvatar img").attr("src",ajax.responseText);
						$("#notifications-bottom-right-tab-avatar img").attr("src",ajax.responseText);
						$(".profilAvatar img").attr("src",ajax.responseText);
						$(".avatar img").attr("src",ajax.responseText);
						
						var uID = $(".avatar").attr("id");
						$(".yorum").each(function(){
							var yaID = $(this).find("span.yorumAtan").attr("id");
							if(uID == yaID){
								$(this).find(".yorumAvatar img").attr("src",ajax.responseText);
							}
						});
					}
				}
			}
			
			return false;
		});
		$("form.avatarForm").trigger("submit");
	});

// Kayıt Ol
	$(".kayitForm").on("submit",function(e){
		e.preventDefault();
		var firstAd   = $(this).find('input[name="firstname"]').val();
		var lastAd    = $(this).find('input[name="lastname"]').val();
		var userName  = $(this).find('input[name="signoname"]').val();
		var userPass  = $(this).find('input[name="sifre"]').val();
		var userMail  = $(this).find('input[name="email"]').val();
		$.ajax({
			type: "POST",
			url: "/wp-admin/admin-ajax.php",
			dataType: "text",
			data: ({ action: 'kayitOl', firstAd: firstAd, lastAd: lastAd, userName: userName, userPass: userPass, userMail: userMail }),
			success: function(koCevap){
				if(koCevap == "hata"){
					var messageOne	  = "Malesef ! Kayıt yapılamadı.";	
					var messageTwo    = "Başka bir kullanıcı adı deneyin...";	
					notification(messageOne,messageTwo);
				}else if(koCevap == "hata2"){
					var messageOne	  = "Malesef ! Kayıt yapılamadı.";	
					var messageTwo    = "Başka bir e-posta adresi deneyin...";	
					notification(messageOne,messageTwo);
				}else if(koCevap == "hata3"){
					var messageOne	  = "Malesef ! Kayıt yapılamadı.";	
					var messageTwo    = "Bilgileriniz eksik görünüyor...";	
					notification(messageOne,messageTwo);
				}else if(koCevap == "hata4"){
					var messageOne	  = "Malesef ! Kayıt yapılamadı.";	
					var messageTwo    = "E-Mail adresi geçersiz görünüyor...";	
					notification(messageOne,messageTwo);
				}else{
					location.reload();
				}
			}
		});	
	});

// Yorum Üye Kontrol	
	$.ajax({
		type: "POST",
		url: "/wp-admin/admin-ajax.php",
		dataType: "text",
		data: ({ action: 'uyeMi' }),
		success: function(comRes){
			if(comRes == "yes"){ }else if(comRes == "hata"){
				$(".ytSubmit").unbind("click");
				$(".ytSubmit").on("click",function(e){
					e.preventDefault();
					var messageOne	  = "Malesef ! Yorum yapılamıyor.";	
					var messageTwo    = "Yanlızca üyeler bu özelliği kullanabilir...";	
					notification(messageOne,messageTwo);
				});			
			}
		}
	});


// Yorum Like & Disslike - Üye Mi Kontrolü ? 
	$.ajax({
		type: "POST",
		url: "/wp-admin/admin-ajax.php",
		dataType: "text",
		data: ({ action: 'uyeMi' }),
		success: function(cevap){
			if(cevap == "yes"){}else if(cevap == "hata"){
				$(".yorum .yorumOyla .yolumluDiv .yolumlu, .yorum .yorumOyla .yolumsuzDiv .yolumsuz").unbind("click").click(function(e){
					e.preventDefault();
					var messageOne	  = "Malesef ! Yorum oylanamadı.";	
					var messageTwo    = "Yanlızca üyeler bu özelliği kullanabilir...";	
					notification(messageOne,messageTwo);
				});			
			}
		}
	});
	
// Yorum Like
	$(".yorum .yorumOyla .yolumluDiv .yolumlu").on("click",function(){
			var yorumID = $(this).parent().parent().attr("id");
			var yorumAT = $(this).parent().parent().parent().find("span.yorumAtan").attr("id");
			var ySpan   = $(this).parent().find("span");
			
			$.ajax({
				type: "POST",
				url: "/wp-admin/admin-ajax.php",
				dataType: "text",
				data: ({ action: 'yorumLike', yorumID: yorumID, yorumAtan: yorumAT }),
				success: function(YOlumluResponse){
					if(YOlumluResponse == "hata"){
						var messageOne	  = "Malesef ! Yorum oylanamadı.";	
						var messageTwo    = "Yanlızca bir defa oylayabilirsiniz...";	
						notification(messageOne,messageTwo);
					}else if(YOlumluResponse == "hata2"){
						var messageOne	  = "Malesef ! Yorum oylanamadı.";	
						var messageTwo    = "Yanlızca üyeler bu özelliği kullanabilir...";	
						notification(messageOne,messageTwo);
					}else if(YOlumluResponse == "hata3"){
						var messageOne	  = "Malesef ! Yorum oylanamadı.";	
						var messageTwo    = "Kendi yorumunuzu oylayamazsınız...";	
						notification(messageOne,messageTwo);
					}else{
						ySpan.html(YOlumluResponse);
					}
				}
			});
		return false;
	});

// Yorum Disslike
	$(".yorum .yorumOyla .yolumsuzDiv .yolumsuz").on("click",function(){
		var yorumID = $(this).parent().parent().attr("id");
		var yorumAT = $(this).parent().parent().parent().find("span.yorumAtan").attr("id");
		var ySpan   = $(this).parent().find("span"); console.log(yorumAT);
		$.ajax({
			type: "POST",
			url: "/wp-admin/admin-ajax.php",
			dataType: "text",
			data: ({ action: 'yorumDisslike', yorumID: yorumID, yorumAtan: yorumAT }),
			success: function(YOlumsuzResponse){
				if(YOlumsuzResponse == "hata"){
					var messageOne	  = "Malesef ! Yorum oylanamadı.";	
					var messageTwo    = "Yanlızca bir defa oylayabilirsiniz...";	
					notification(messageOne,messageTwo);
				}else if(YOlumsuzResponse == "hata2"){
					var messageOne	  = "Malesef ! Yorum oylanamadı.";	
					var messageTwo    = "Yanlızca üyeler bu özelliği kullanabilir...";	
					notification(messageOne,messageTwo);
				}else if(YOlumsuzResponse == "hata3"){
					var messageOne	  = "Malesef ! Yorum oylanamadı.";	
					var messageTwo    = "Kendi yorumunuzu oylayamazsınız...";	
					notification(messageOne,messageTwo);
				}else{
					ySpan.html(YOlumsuzResponse);
				}
			}
		});
		return false;
	});

// Hesap Ayarları Güncelle
	$(".HATabForm").submit(function(e){
		e.preventDefault();
		var adSoyad = $(this).find("input[name=HAdsoyad]").val();
		var ePosta  = $(this).find("input[name=HAEposta]").val();
		var faceB   = $(this).find("input[name=HAFace]").val();
		var twitt   = $(this).find("input[name=HATwitter]").val();
		var avatar  = $(".hAvatar img").attr("src");
		$.ajax({
			type: "POST",
			url: "/wp-admin/admin-ajax.php",
			dataType: "text",
			data: ({ action: 'hesapAyar', adSoyad: adSoyad, ePosta: ePosta, faceB: faceB, twitt: twitt, avatar: avatar }),
			success: function(HAResponse){
				if(HAResponse == "hata1"){
					var messageOne	  = "Malesef ! Ad Soyad boş bırakılamaz.";	
					var messageTwo    = "Lütfen tekrar deneyin...";	
					notification(messageOne,messageTwo);
				}else if(HAResponse == "hata2"){
					var messageOne	  = "Malesef ! E-Posta adresi geçersiz.";	
					var messageTwo    = "Lütfen tekrar deneyin...";	
					notification(messageOne,messageTwo);
				}else if(HAResponse == "hata3"){
					var messageOne	  = "Bu e-posta adresi zaten kullanılıyor.";	
					var messageTwo    = "Lütfen başka bir tane deneyin...";	
					notification(messageOne,messageTwo);
				}else if(HAResponse == "yes"){
					var messageOne	  = "Bilgileriniz başarıyla güncellendi.";	
					var messageTwo    = "Bizi tercih ettiğiniz için teşekkür ederiz...";	
					notification(messageOne,messageTwo);
				}
			}
		});
	});

// Şifremi Güncelle
	$(".HATabFormTwo").submit(function(e){
		e.preventDefault();
		var eskiSifre    = $(this).find("input[name=HASifre]").val();
		var yeniSifre    = $(this).find("input[name=HAYeniSifre]").val();
		var yeniTekrar   = $(this).find("input[name=HAYeniSifreTekrar]").val();
		$.ajax({
			type: "POST",
			url: "/wp-admin/admin-ajax.php",
			dataType: "text",
			data: ({ action: 'sifreGuncel', sifre: eskiSifre, yeniSifre: yeniSifre, yeniSifreTekrar: yeniTekrar }),
			success: function(HABTwoResponse){
				if(HABTwoResponse == "yes"){
					var messageOne	  = "Şifreniz başarıyla güncellendi.";	
					var messageTwo    = "Bizi tercih ettiğiniz için teşekkür ederiz...";	
					notification(messageOne,messageTwo);
				}else if(HABTwoResponse == "hata1"){
					var messageOne	  = "Malesef ! Girdiğiniz şifre yanlış.";	
					var messageTwo    = "Lütfen tekrar deneyin...";	
					notification(messageOne,messageTwo);
				}else if(HABTwoResponse == "hata2"){
					var messageOne	  = "Malesef ! Yeni şifrenizi hatalı girdiniz.";	
					var messageTwo    = "Lütfen tekrar deneyin...";	
					notification(messageOne,messageTwo);
				}
			}
		});
	});

// Favorilere Ekle
	$(".favoriEkle").on("click",function(){
		var diziAdi  = $(".diziAdi").text();
		var diziAdi2 = $(".iHead span").text();
		if(diziAdi == ""){
			diziAdi = diziAdi2;
		}
		$.ajax({
			type: "POST",
			url: "/wp-admin/admin-ajax.php",
			dataType: "text",
			data: ({ action: 'favoriEkle', favori: diziAdi }),
			success: function(favoriValue){
				if(favoriValue == "hata"){
					var messageOne	  = "Malesef ! Dizi favorilere eklenemedi.";	
					var messageTwo    = "Yanlızca üyeler bu özelliği kullanabilir...";	
					notification(messageOne,messageTwo);
				}else if(favoriValue == "hata2"){
					var messageOne	  = "Malesef ! Dizi zaten favorilere eklenmiş.";	
					var messageTwo    = "Bizi tercih ettiğiniz için teşekkür ederiz...";	
					notification(messageOne,messageTwo);
				}else{
					var messageOne	  = favoriValue+" favorilere eklendi.";	
					var messageTwo    = "Bizi tercih ettiğiniz için teşekkür ederiz...";	
					notification(messageOne,messageTwo);
				}
			}
		});
	});

// Favorilerden Çıkart
	$(".favoriCikart").on("click",function(){
		var diziAdiFC  = $(".diziAdi").text();
		var diziAdi2FC = $(".iHead span").text();
		if(diziAdiFC == ""){
			diziAdiFC = diziAdi2FC;
		}
		$.ajax({
			type: "POST",
			url: "/wp-admin/admin-ajax.php",
			dataType: "text",
			data: ({ action: 'favoriCikart', favoriFC: diziAdiFC }),
			success: function(favoriValueFC){
				if(favoriValueFC == "hata"){
					var messageOne	  = "Malesef ! Bir sorun oluştu.";	
					var messageTwo    = "Lütfen daha sonra tekrar deneyin...";	
					notification(messageOne,messageTwo);
				}else{
					var messageOne	  = favoriValueFC+" favorilerden çıkartıldı.";	
					var messageTwo    = "Bizi tercih ettiğiniz için teşekkür ederiz...";	
					notification(messageOne,messageTwo);
				}
			}
		});
	});
	
// Arama Filtresi
	$(".searchFiltreForm").submit(function(e){
		e.preventDefault();
		var kategori  = $(".searchFiltreForm select[name=kategori]").val();
		var imdb	  = $(".searchFiltreForm select[name=imdb]").val();
		var yapimyili = $(".searchFiltreForm select[name=yapimyili]").val();
		$.ajax({
			type: "POST",
			url: "/wp-admin/admin-ajax.php",
			dataType: "text",
			data: ({ action: 'searchFilter', kategori: kategori, imdb: imdb, yapimyili: yapimyili }),
			success: function(filtreResponse){
				$("#filterSearchReturn").empty().html(filtreResponse);
				console.log(filtreResponse);
				var diziAdlari = [];
				$("#filterSearchReturn .afisBaslik").each(function(){
					var afisAdi = $(this).text();
					diziAdlari.push(afisAdi);
				});
				$.ajax({
					type: "POST",
					url: "/wp-admin/admin-ajax.php",
					dataType: "text",
					data: ({ action: 'searchFilterCont', diziAdlari: diziAdlari }),
					success: function(contResponse){
						console.log(contResponse);
						$(".searchFilterCont").empty().html(contResponse);
						$(".shadowFiltre").fadeOut();
					}
				});
			}
		});
	});

/* Alfabe Diziler */
	$(".alfabeOpen").hide();
	$(".alfabe ul li").click(function(){
		if($(this).hasClass("active")){
			var alfClick = $(this).data('alfClick');
			if(alfClick){
				var alfabeIndex = $(this).index();
				$(".alfabe ul li").removeClass("active").filter(this).addClass("active");
					$(".alfabe ul li a").css("color","#3a3a39");
					$(this).find("a").css("color","#fff");
				$(".alfabeOpen").slideUp(310).eq(alfabeIndex).slideDown(300);
			}else{
				$(".alfabe ul li a").css("color","#3a3a39");
				$(".alfabeOpen").slideUp(310);
			}
			$(this).data("alfClick", !alfClick);
		}else{
			var alfabeIndex = $(this).index();
			$(".alfabe ul li").removeClass("active").filter(this).addClass("active");
				$(".alfabe ul li a").css("color","#3a3a39");
				$(this).find("a").css("color","#fff");
			$(".alfabeOpen").slideUp(310).eq(alfabeIndex).slideDown(300);	
		}
	});

/* Slider */
var turnTime    = 6000;
var toplamDiv   = $(".slide").length;
var divWidth    = 1024;
var toplamWidth = divWidth * toplamDiv;
var divDeger    = 0;
$(".sliderUst").css("width", toplamWidth + "px");

	$.Slider = function(){
		if (divDeger < toplamDiv - 1){
			divDeger++;
			yeniWidth = divWidth * divDeger;
			$(".nokta").removeClass("noktaktif").eq(divDeger).addClass("noktaktif");
			$(".sliderUst").fadeOut(500).animate({marginLeft: "-" + yeniWidth + "px"}, 0).fadeIn();
		} else {
			divDeger = 0;
			$(".nokta").removeClass("noktaktif").eq(divDeger).addClass("noktaktif");
			$(".sliderUst").fadeOut(500).animate({marginLeft: "0"}, 0).fadeIn();
		}
	};
	var turn = setInterval("$.Slider()", turnTime);
	$("#slider").hover(function(){
		clearInterval(turn);
	}, function(){
		turn = setInterval("$.Slider()", turnTime);
	});
	
	for(var nokta = 1; nokta <= toplamDiv; nokta++){
		$(".noktalar").append('<div class="nokta"></div>');
	}
	$(".noktalar .nokta").first().addClass("noktaktif");
	$(".nokta").on("click",function(){
		$(".nokta").removeClass("noktaktif").filter(this).addClass("noktaktif");
		var noktaIndex = $(this).index()-1;
		divDeger = noktaIndex;
		$.Slider();
	});
	
	$(".sdParagraf p").each(function(){
		var sliderUzunText       = $(this).text();
		var sliderKarakterSayisi = sliderUzunText.length;
		if(sliderKarakterSayisi >= 565){
			var sliderKisaText   = sliderUzunText.substr(0, 565);
			$(this).empty().text(sliderKisaText+"...");
		}
	});
    
/* Tab */
var tab      = ".tabContent";
var tabButon = ".tabButon";
	$(tab).hide();
	$(tab).first().show();
	$(tabButon).click(function(){
		var tabIndex = $(this).index();
		$(tabButon).removeClass("aktif").filter(this).addClass("aktif");
		$(tab).hide();
		$(tab).eq(tabIndex).fadeIn(300);
	});

/* HideSeek Arama Filtreleme */
	$(".hideseek").hideseek({
		highlight: true,
		nodata: 'Sonuç Bulunamadı'
	});
	$(".hseekForm").submit(function(e){  
		e.preventDefault();  
		return false;    
	}); 

/* Splash Tab  & Hedef Dışı Tıklama & Giriş Yap ve Kayıt Ol Buton Aksiyonları */
	$(".splashTabContent").hide();
	$(".splashTabContent").first().show();
	$(".splashTab a").click(function(){
		var splashIndex = $(this).index();
		$(".splashTab a").removeClass("aktif").filter(this).addClass("aktif");
		$(".splashTabContent").hide();
		$(".splashTabContent").eq(splashIndex).show();
	});
	$('html').on("click", function(event){
		var target = $(event.target);
		if (target.is(".splash") || target.parents(".splash").size() > 0 || target.is(".kayitGiris") || target.parents(".kayitGiris").size() > 0 || target.is(".sifremiUnuttum") || target.parents(".sifremiUnuttum").size() > 0){
			return;
		}else{
			$(".shadow").fadeOut(300);
		}
	});

	$(".girisOpen").click(function(){
		$(".shadow").fadeIn(300);
		$(".sifremiUnuttum").hide();
		$(".splash").show();
		$(".splashTab a").removeClass("aktif");
		$(".splashTab a.girisyap").addClass("aktif");
		$(".splashTabContent").hide();
		$(".splashTabContent").first().show();
	});
	$(".kayitOpen").click(function(){
		$(".shadow").fadeIn(300);
		$(".sifremiUnuttum").hide();
		$(".splash").show();
		$(".splashTab a").removeClass("aktif");
		$(".splashTab a.kayitol").addClass("aktif");
		$(".splashTabContent").hide();
		$(".splashTabContent").last().show();
	});
	$(".unutSifre").click(function(){
		$(".splash").hide();
		$(".sifremiUnuttum").show();
	});

/* Hesap Ayarları */
	$(".HATabContent").hide().first().show();
	$(".HATab a").first().addClass("HAktif");
	$(".HATab a").click(function(){
		var haIndis = $(this).index();
		$(".HATabContent").hide().eq(haIndis).show();
		$(".HATab a").removeClass("HAktif").filter(this).addClass("HAktif");
		return false;
	});
	$(".HAToggle").click(function(){
		$(".hesapAyarShadow").fadeIn();
	});
	$(".HAClose").click(function(){
		$(".hesapAyarShadow").fadeOut();
		return false;
	});
	$('html').on("click", function(event){
		var HATarget = $(event.target);
		if (HATarget.is(".hesapAyar") || HATarget.parents(".hesapAyar").size() > 0 || HATarget.is(".HAToggle") || HATarget.parents(".HAToggle").size() > 0){
			return;
		}else{
			$(".hesapAyarShadow").fadeOut();
		}
	});

/* Profil */
	$(".profilCont").hide().first().show();
	$(".profilTab a").first().addClass("HAktif");
	$(".profilTab a").click(function(){
		var paIndis = $(this).index();
		$(".profilCont").hide().eq(paIndis).show();
		$(".profilTab a").removeClass("profilAktif").filter(this).addClass("profilAktif");
		return false;
	});
	$(".profilToggle").click(function(){
		$(".profilShadow").fadeIn();
	});
	$(".profilClose").click(function(){
		$(".profilShadow").fadeOut();
		return false;
	});
	$('html').on("click", function(event){
		var PATarget = $(event.target);
		if (PATarget.is(".profilA") || PATarget.parents(".profilA").size() > 0 || PATarget.is(".profilToggle") || PATarget.parents(".profilToggle").size() > 0){
			return;
		}else{
			$(".profilShadow").fadeOut();
		}
	});
	
/* Player Tercihi */
var bosMu = $(".partlar").text();
if(bosMu == ""){
	$(".tercih").hide();
}
$(".pTercih").on("click",function(){
	var pTercih = $(this).data('pTercih');
	if (pTercih) {
		$(".partlar").fadeOut(300);
		$(".tercih a").css("color","");
	}else {
		$(".partlar").fadeIn(300);
		$(".tercih a").css("color","#7c7c7c");
	}
	$(this).data("pTercih", !pTercih);
});
	
/* Sinema Modu & Genişlet */
	$('.sinemaModu').click(function(){
		var modClicks = $(this).data('modClicks');
			if (modClicks) {
				/* Genişlet Deaktif */
				$(".playerAdvertising").show();
				$(".playerTasiyici").css("width","672px");
				$(".player").css("width","672px");
				$(".player, .player p, .player p iframe, .player p embed, .vonuReklam, .vReklam, .vReklam a img").attr("style","height: 392px !important;");
				/* Sinema Modu Deaktif */
				$(".sinemaModGolge").remove();
				$(".player, .playerHead, .playerFoot").css({
					position: "static"
				});
				$(".partlar").css("top","69px");
			}else {
				/* Genişlet Aktif */
				$(".playerAdvertising").hide();
				$(".playerTasiyici").css("width","990px");
				$(".player").css({
					width: "990px",
					height: "470px"
				});
				$(".player p, .player p iframe, .player p embed, .vonuReklam, .vReklam, .vReklam a img").attr("style","height: 470px !important");
				/* Sinema Modu Aktif */
				$("body").prepend('<div class="sinemaModGolge"></div>');
				$(".sinemaModGolge").css({
					width: "100%",
					height: "100%",
					position: "fixed",
					background: "rgba(0,0,0,0.9)",
					zIndex: "998"
				});
				$(".player, .playerHead, .playerFoot").css({
					position: "relative",
					zIndex: "999"
				});
				$(".partlar").css("top","62px");
			}
			$(this).data("modClicks", !modClicks);
	});

/* Yorum Atarken Spoiler Butonu */
	$(".spoilerTik").on("click",function(){
		var spoilerClicks = $(this).data('spoilerClicks');
		var yorumText = $("#yorum").val();
		if (spoilerClicks) {
			$(".ytForm .fa-check-circle").remove();
			$(this).prepend('<i class="fa fa-circle-o"></div>');
			$("#yorum").empty().val("Yorumunuzu Yazın.");
		}else{
			$(".ytForm .fa-circle-o").remove();
			$(this).prepend('<i class="fa fa-check-circle"></div>');
			$("#yorum").empty().val("[spoiler] Yorumunuzu Yazın. [/spoiler]");
		}
		$(this).data("spoilerClicks", !spoilerClicks);
	});

	$(".yorum").each(function(){
		var yorSpoiler  	= $(this).find("p.yorumP").text();
		var yeniSpText  	= yorSpoiler.replace("[spoiler]"," ");
		var yeniSpTextFinal = yeniSpText.replace("[/spoiler]"," ");
		if (yorSpoiler.indexOf("[spoiler]") >= 0){
			$(this).find("p.yorumP").text(yeniSpTextFinal).addClass("spoilerYorum");
			$(this).find(".yorumOyla").hide();
			$(this).find(".sp").append('<div class="spoilerText"><a href="javascript:void(0);">Bu yorum bölüm hakkında spoiler içermektedir ! <span>Okumak İstiyorsanız Tıklayın.</span></a></div>');
		}
	});


/* Gösterilen Yorumlarda Spoiler Butonu */
	$(".spoilerText").click(function(){
		$(this).hide();
		$(this).parent().parent().find(".spoilerYorum").show();
		$(this).parent().parent().find(".yorumOyla").show();
	});

// Dizinin Diğer Bölümleri - Üye Mi Kontrolü ? 
	$.ajax({
		type: "POST",
		url: "/wp-admin/admin-ajax.php",
		dataType: "text",
		data: ({ action: 'uyeMi' }),
		success: function(cevap){
			if(cevap == "yes"){}else if(cevap == "hata"){
				$(".bolumlerTasiyici .btCont i").unbind("click").click(function(e){
					e.preventDefault();
					var messageOne	  = "Bölüm izlenenlere eklenemedi !";	
					var messageTwo    = "Yanlızca üyeler bu özelliği kullanabilir...";	
					notification(messageOne,messageTwo);
				});			
			}
		}
	});
/* Dizinin Diğer Bölümleri İcon Değişimi  & Li Element Hover*/
	$(".bolumlerTasiyici .btCont i").on("click",function(){
		var iClass = $(this).attr("class");
		var iContr = 0;
		var bolumAd = $(this).parent().find("span.bolAdi").text();
		var bolumID = $(this).parent().find("span.bolID").text();
		
		if( iClass == "fa fa-circle fa-check-circle"){
			$(this).removeClass("fa-circle fa-check-circle").addClass("fa-circle");
			iContr = 0;
		}else{
			$(this).removeClass("fa-circle").addClass("fa-circle fa-check-circle");
			iContr = 1;
		}
		$.ajax({
			type: "POST",
			url: "/wp-admin/admin-ajax.php",
			dataType: "text",
			data: ({ action: 'izlenmeChange', iClass: iContr, bolumAd: bolumAd, bolumID: bolumID }),
			success: function(iResponse){}
		});
		return false;
	});

	$(".bolumlerTasiyici .btCont li").hover(function(){
		$(this).find("span").not(".btAdi").css("color","#ccc");
	},function(){
		$(this).find("span").not(".btAdi").css("color","#6e6e6e");
	});

/* Arama Filtre Splash & Hedef Dışı Tıklama*/
	$(".filtreBtn").click(function(){
		$(".shadowFiltre").fadeIn(300);
	});
	$('html').on("click", function(event){
		var target = $(event.target);
		if (target.is(".filtre") || target.parents(".filtre").size() > 0 || target.is(".filtreBtn") || target.parents(".filtreBtn").size() > 0){
			return;
		}else{
			$(".shadowFiltre").fadeOut(300);
		}
	});

/* SSS Tab & İcon Rotate */
	$(".sss .sssCont").hide();
	$(".sss").first().addClass("open").find(".sssCont").show().parent().find(".sssHead a.plus").css("transform","rotate(45deg)");
	$('a.plus').click(function(){
		if($(this).parent().parent().hasClass("open")){
			$(".sss .sssCont").slideUp().parent().removeClass("open");
			$("a.plus").css("transform","rotate(0deg)");
		}else{
			$(".sss .sssCont").slideUp().parent().removeClass("open");
			$(this).parent().parent().addClass("open").find(".sssCont").slideDown();
			$("a.plus").css("transform","rotate(0deg)");
			$(this).css("transform","rotate(45deg)");
		}
	});

/* Dizi Sayfası Dizi Detay Kısaltma & Uzatma İşlemi */
	$.ajax({
		type: "POST",
		url: "/wp-admin/admin-ajax.php",
		dataType: "text",
		data: ({ action: 'kisaltCont' }),
		success: function(kRes){
			if(kRes == "no"){
				var uzunText        = $(".diziPageSegment p").html();
				var uzunT           = $(".diziPageSegment p").text();
				var tKarakterSayisi = uzunT.length;
				if(tKarakterSayisi >= 2310){
					console.log("uzun");
					var kisaText    = uzunText.substr(0, 2310);
					$(".diziPageSegment p").empty().html(kisaText+"...");
					$(".diziPageSegment").append('<a href="javascript:void(0)" class="devamOku">Devamını Oku</a>');
					$("a.devamOku").click(function(){
						var devamClicks = $(this).data('devamClicks');
						if(devamClicks){
							$(".diziPageSegment p").empty().html(kisaText+"...");
							$(this).text("Devamını Oku");
						}else{
							$(".diziPageSegment p").empty().html(uzunText);
							$(this).text("Devamını Gizle");
						}
						$(this).data("devamClicks", !devamClicks);
					});
				}
			}else{
				var uzunText        = $(".diziPageSegment p").html();
				var uzunT           = $(".diziPageSegment p").text();
				var tKarakterSayisi = uzunT.length;
				if(tKarakterSayisi >= 915){
					var kisaText    = uzunText.substr(0, 915);
					$(".diziPageSegment p").empty().html(kisaText+"...");
					$(".diziPageSegment").append('<a href="javascript:void(0)" class="devamOku">Devamını Oku</a>');
					$("a.devamOku").click(function(){
						var devamClicks = $(this).data('devamClicks');
						if(devamClicks){
							$(".diziPageSegment p").empty().html(kisaText+"...");
							$(this).text("Devamını Oku");
						}else{
							$(".diziPageSegment p").empty().html(uzunText);
							$(this).text("Devamını Gizle");
						}
						$(this).data("devamClicks", !devamClicks);
					});
				}
			}
		}
	});
    

/* Tüm Bölümler Sezon Tab */
	$(".sezonSec li").first().find("a").addClass("aktifS");
    $(".aktifSezon").click(function(){
        $(".sezonSec").toggle();
    });
    $(".dpBtCont").hide().first().show();
    $(".sezonSec li").click(function(){
        $(".sezonSec li a").removeClass("aktifS");
        $(this).find("a").addClass("aktifS");
        var textAktar = $(this).find("a").text();
        $(".aktifSezon").empty().html(textAktar+'<i class="fa fa-caret-down" style="margin-left:6.5px;"></i>');
        var sezonIndex = $(this).index();
        $(".dpBtCont").hide().eq(sezonIndex).show();
        $(".sezonSec").hide();
    });

})(jQuery);
