<?php 
	include 'function.php';
?>
<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Hyper Solutions</title>
    <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no">
    <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/hypers/css/site.min.css">
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,800,700,400italic,600italic,700italic,800italic,300italic" rel="stylesheet" type="text/css">
    <!-- <link href='http://fonts.googleapis.com/css?family=Lato:300,400,700' rel='stylesheet' type='text/css'> -->
    <!-- HTML5 shim, for IE6-8 support of HTML5 elements. All other JS at the end of file. -->
    <!--[if lt IE 9]>
      <script src="<?php bloginfo('template_url'); ?>/hypers/js/html5shiv.js"></script>
      <script src="<?php bloginfo('template_url'); ?>/hypers/js/respond.min.js"></script>
    <![endif]-->
    <script type="text/javascript" src="<?php bloginfo('template_url'); ?>/hypers/js/site.min.js"></script>
  </head>
  <body style="background-color: #f1f2f6;">

    <!--documents-->
    <div class="container documents">
	<?php $pages=ProtectPagination();	?>
	<div class="row example-pagination">
              <div class="col-md-12">
                <ul class="pagination">
				<?php for($i=0;$i<count($pages);$i++){ ?>
                  <li><a href="?page=hyperbot<?php issetBuild('category');?>&p=<?php echo $pages[$i];?>"><?php echo $pages[$i];?>. Sayfa</a></li>
				<?php } ?>
                </ul>
              </div>
      </div>
	<?php if(!isset($_GET['sadd']) and !isset($_GET['vieweps']) and !isset($_GET['eadd'])){ ?> 
	<?php if(!isset($_GET['category'])) {
    
	?>
      <div class="example">
        <h2 class="example-title">Kategoriler</h2>
        <div class="row">
			<?php 
			$categorys=diziBoxCategorys();
			$get=$categorys['get'];
			$titles=$categorys['titles'];
			for($i=0;$i<count($titles);$i++){
			?>
            <div class="col-md-3">
				<a href="?page=hyperbot&category=<?php echo $get[$i];?>"><button type="button" class="btn btn-info btn-block"><?php echo $titles[$i]; ?></button></a>
			</div>
			<?php } ?>
		</div>
      </div>
	<?php }else{ ?>
	  <div class="example">
        <h2 class="example-title">Kategoriler</h2>
        <div class="row">
            <div class="col-md-3">
				<a href="?page=hyperbot"><button type="button" class="btn btn-info btn-block">Kategori Seçimine Dön</button></a>
			</div>
		
		</div>
      </div>
	  <?php } ?>
	
      <div class="col-md-16" class="example">
        <h2 class="example-title">Diziler</h2>
		<?php
		$episodes=Protect();	
		for($i=0;$i<count($episodes['links']);$i++){
		?>
            <div class="col-xs-3 col-sm-3">
              <div class="thumbnail">
                <img width="250px" class="img-rounded" src="<?php echo $episodes['images'][$i];?>" >
                <div class="caption text-center">
                  <h3><?php echo $episodes['titles'][$i];?></h3>
                  <h3><?php echo $episodes['type'][$i];?></h3>
                  <p><?php echo shorter($episodes['summary'][$i],60);?></p>
                  <p>
				  <?php if(!isAdded('diziler',$episodes['titles'][$i])) { ?>
					<a href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('p'); ?>&sadd=<?php echo $i;?>" class="btn btn-warning">Ekle</a>
				  <?php } ?>
					<a href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('p'); ?>&vieweps=<?php echo $i;?>" class="btn btn-default" >Bölümleri Listele</a>
				  </p>
                </div>
              </div>
			</div>
		<?php } } ?>
		
		<?php if(isset($_GET['vieweps']) and !isset($_GET['season'])) { ?>
		<div class="example">
        <h2 class="example-title">Sezon Seçimi</h2>
        <div class="row">
		<?php 
		$vid=$_GET['vieweps'];
		$episodes=Protect();
		$season=diziBoxEpisodeSeasonList($episodes['links'][$vid]);
		for($i=0;$i<count($season['titles']);$i++){
		?>
		
          <div class="col-md-3">
				<a href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('vieweps'); ?>&season=<?php echo $i;?>"><button type="button" class="btn btn-danger btn-block"><?php echo $season['titles'][$i];?></button></a>
		   </div>
		<?php  }} ?>
		
	   <?php if(isset($_GET['vieweps']) and isset($_GET['season']) and !isset($_GET['episode'])) { ?>
		<div class="example">
        <h2 class="example-title">Bölüm Seçimi <a href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('vieweps'); ?>"><span class="label label-primary">Sezon Seçimine Geri Dön</span></a></h2>
        <div class="row">
		<?php 
		$vid=$_GET['vieweps'];
		$episodes=Protect();
		$sid=$_GET['season'];
		$season=diziBoxEpisodeSeasonList($episodes['links'][$vid])['links'][$sid];
		$episodes=diziBoxEpisodeList($season);
		for($i=0;$i<count($episodes['titles']);$i++){
		?>
		
        <div class="col-md-3">
				<a href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('vieweps'); ?><?php issetBuild('season'); ?>&episode=<?php echo $i;?>"><button type="button" class="btn btn-danger btn-block"><?php echo $episodes['titles'][$i];?></button></a>
		</div>
		<?php  }} ?>
		
	     <?php if(isset($_GET['vieweps']) and isset($_GET['season']) and isset($_GET['episode']) and !isset($_GET['alternate'])) { ?>
		<div class="example">
        <h2 class="example-title">Alternatif Seçimi <a href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('vieweps'); ?><?php issetBuild('season'); ?>"><span class="label label-primary">Bölüm Seçimine Dön</span></a></h2>
        <div class="row">
		<?php 
		$vid=$_GET['vieweps'];
		$episodes=Protect();
		$sid=$_GET['season'];
		$season=diziBoxEpisodeSeasonList($episodes['links'][$vid])['links'][$sid];
		$eid=$_GET['episode'];
		$episodes=diziBoxEpisodeList($season)['links'][$eid];
		$alternates=diziBoxListEpisodeAlternate($episodes);
		for($i=0;$i<count($alternates['titles']);$i++){
		?>
		
          <div class="col-md-3">
				<a href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('vieweps'); ?><?php issetBuild('season'); ?><?php issetBuild('episode'); ?>&alternate=<?php echo $i;?>"><button type="button" class="btn btn-danger btn-block"><?php echo $alternates['titles'][$i];?></button></a>
		   </div>
		<?php  }} ?>
		
	   <?php if(isset($_GET['vieweps']) and isset($_GET['season']) and isset($_GET['episode']) and isset($_GET['alternate']) and !isset($_GET['eadd'])) { ?>
		<div class="example">

		<?php 
		$vid=$_GET['vieweps'];
		$episodes=Protect();
		$sid=$_GET['season'];
		$sname=$episodes['titles'][$vid];
		$season=diziBoxEpisodeSeasonList($episodes['links'][$vid])['links'][$sid];
		$eid=$_GET['episode'];
		$episodestitle=diziBoxEpisodeList($season)['titles'][$eid];
		$episodes=diziBoxEpisodeList($season)['links'][$eid];
		$aid=$_GET['alternate'];
		$alternates=diziBoxListEpisodeAlternate($episodes)['links'][$aid];
		?>
		   <h2 class="example-title"><?=$sname;?> | <?=$episodestitle;?> Görüntüle <a href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('vieweps'); ?><?php issetBuild('season'); ?><?php issetBuild('episode'); ?>"><span class="label label-primary">Alternatif Seçimine Dön</span></a></h2>
		   <div class="row">
		   <div class="col-md-5">
			<?php echo diziBoxGetIframeSingle($alternates); ?>
		   </div>
		   <div class="col-md-3">
            <a href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('vieweps'); ?><?php issetBuild('season'); ?><?php issetBuild('episode'); ?><?php issetBuild('alternate'); ?>&eadd=true"><button type="button" class="btn btn-info btn-block">Ekle</button></a>
          </div>

		<?php  } ?>
		
		<?php if(isset($_GET['vieweps']) and isset($_GET['season']) and isset($_GET['episode']) and isset($_GET['alternate']) and isset($_GET['eadd'])) { ?>
		<div class="example">
		<?php 
		$vid=$_GET['vieweps'];
		$episodes=Protect();
		$sid=$_GET['season'];
		$sname=$episodes['titles'][$vid];
	    $img=$episodes['images'][$vid];
		$season=diziBoxEpisodeSeasonList($episodes['links'][$vid])['links'][$sid];
	    preg_match_all('@.*?//.*?/.*?/.*?/(.*?)-.*?@si',$season,$out);
		$seasonnumber=$out[1][0];
		$eid=$_GET['episode'];
		$episodes=diziBoxEpisodeList($season)['links'][$eid];
		$episodestitle=diziBoxEpisodeList($season)['titles'][$eid];
		$aid=$_GET['alternate'];	
		$alternates=diziBoxListEpisodeAlternate($episodes)['links'][$aid];
		$iframe=diziBoxGetIframeSingle($alternates);
		kses_remove_filters();
		$my_post = array(
			  'post_title'    => $sname.' - '.$episodestitle,
			  'post_content'  => $iframe,
			  'post_status'   => 'publish',
			  'post_author'   => 1,
			  'post_type'     => 'post',
			  'post_category' => array( 1 )
			);
			$pid=wp_insert_post( $my_post );
			_import_photo($pid,$img);
			add_post_meta( $pid, 'bolumDiziDropdown', $sname);
			add_post_meta( $pid, 'bolumSezonDropdown', $seasonnumber);
			kses_init_filters();
		?>
		  <div class="alert alert-success alert-dismissable">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h4>Başarıyla Eklendi!</h4>
              <p><b>"<?php echo $sname;?>"</b> filminin  <b>"<?php echo $episodestitle;?>"</b> adlı bölümü başarıyla eklendi.</p>
              <p><a class="btn btn-success" href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('vieweps'); ?><?php issetBuild('season'); ?>">Bölüm Seçimine Dön</a> </p>
          </div>

		<?php  } ?>
		

	   <?php if(isset($_GET['sadd'])){ 
			$id=$_GET['sadd'];
			$episodes=Protect();
			$seasoncount=diziBoxEpisodeSeasonList($episodes['links'][$id]);
			$seasoncount=$seasoncount['seasoncount'];
			$categorys=split(',',$episodes['type'][$id]);
			$array=array();
			foreach($categorys as $item){
				  $categoryid = get_cat_ID(trim($item));
				 if($categoryid==0){
					 wp_create_category(trim($item));
					 $categoryid = get_cat_ID(trim($item));
					 array_push($array,$categoryid);
				 }else{
					 array_push($array,$categoryid);
				 }
			}	
			$my_post = array(
			  'post_title'    => $episodes['titles'][$id],
			  'post_content'  => $episodes['summary'][$id],
			  'post_status'   => 'publish',
			  'post_author'   => 1,
			  'post_type'     => 'diziler',
			  'post_category' => $array,
			);
			$pid=wp_insert_post( $my_post );
			_import_photo($pid,$episodes['images'][$id]);
			add_post_meta( $pid, 'meta-box-dropdown', $seasoncount);
			add_post_meta( $pid, 'meta-box-text', $episodes['imdb'][$id]);
			add_post_meta( $pid, 'yapimYili', '2016');
		?>
		<div class="alert alert-success alert-dismissable">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h4>Dizi Başarıyla Eklendi!</h4>
              <p>"<?php echo $episodes['titles'][$id];?>" adlı dizi başarıyla eklendi.</p>
              <p><a class="btn btn-success" href="?page=hyperbot<?php issetBuild('category'); ?><?php issetBuild('p'); ?>">Geri Dönmek için Tıkla</a></p>
        </div>
		
		<?php } ?>
		
		
		
		
      </div>
      
  </body>
</html>
